/* tslint:disable */
/* auto-generated angular directive proxies */
import { ChangeDetectionStrategy, ChangeDetectorRef, Component, ElementRef, EventEmitter, NgZone } from '@angular/core';

import { ProxyCmp, proxyOutputs } from './angular-component-lib/utils';

import { Components } from '@getflip/swirl-components';


@ProxyCmp({
})
@Component({
  selector: 'file-manager',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class FileManager {
  protected el: HTMLFileManagerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface FileManager extends Components.FileManager {}


@ProxyCmp({
  methods: ['collapseItem', 'expandItem']
})
@Component({
  selector: 'swirl-accordion',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlAccordion {
  protected el: HTMLSwirlAccordionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['expandedItemChange']);
  }
}


export declare interface SwirlAccordion extends Components.SwirlAccordion {

  expandedItemChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['description', 'disabled', 'heading', 'headingLevel', 'initiallyOpen', 'itemId'],
  methods: ['collapse', 'expand', 'toggle']
})
@Component({
  selector: 'swirl-accordion-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'disabled', { name: 'heading', required: true }, 'headingLevel', 'initiallyOpen', 'itemId'],
  standalone: false
})
export class SwirlAccordionItem {
  protected el: HTMLSwirlAccordionItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['expansionChange']);
  }
}


export declare interface SwirlAccordionItem extends Components.SwirlAccordionItem {

  expansionChange: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
})
@Component({
  selector: 'swirl-action-list',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlActionList {
  protected el: HTMLSwirlActionListElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlActionList extends Components.SwirlActionList {}


@ProxyCmp({
  inputs: ['badge', 'description', 'disabled', 'icon', 'iconBadge', 'intent', 'label', 'size', 'suffix', 'swirlAriaExpanded', 'swirlAriaHaspopup']
})
@Component({
  selector: 'swirl-action-list-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['badge', 'description', 'disabled', 'icon', 'iconBadge', 'intent', { name: 'label', required: true }, 'size', 'suffix', 'swirlAriaExpanded', 'swirlAriaHaspopup'],
  standalone: false
})
export class SwirlActionListItem {
  protected el: HTMLSwirlActionListItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlActionListItem extends Components.SwirlActionListItem {}


@ProxyCmp({
  inputs: ['hasSeparator', 'label', 'separatorSpacing', 'spacing']
})
@Component({
  selector: 'swirl-action-list-section',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['hasSeparator', { name: 'label', required: true }, 'separatorSpacing', 'spacing'],
  standalone: false
})
export class SwirlActionListSection {
  protected el: HTMLSwirlActionListSectionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlActionListSection extends Components.SwirlActionListSection {}


@ProxyCmp({
  inputs: ['backButtonLabel', 'closeButtonIcon', 'closeButtonLabel', 'paddingInlineEnd', 'paddingInlineStart', 'showBackButton', 'showCloseButton', 'showStepperControls', 'stepDownButtonLabel', 'stepUpButtonLabel']
})
@Component({
  selector: 'swirl-app-bar',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['backButtonLabel', 'closeButtonIcon', 'closeButtonLabel', 'paddingInlineEnd', 'paddingInlineStart', 'showBackButton', 'showCloseButton', 'showStepperControls', 'stepDownButtonLabel', 'stepUpButtonLabel'],
  standalone: false
})
export class SwirlAppBar {
  protected el: HTMLSwirlAppBarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['backButtonClick', 'closeButtonClick', 'stepUpButtonClick', 'stepDownButtonClick']);
  }
}


export declare interface SwirlAppBar extends Components.SwirlAppBar {

  backButtonClick: EventEmitter<CustomEvent<MouseEvent>>;

  closeButtonClick: EventEmitter<CustomEvent<MouseEvent>>;

  stepUpButtonClick: EventEmitter<CustomEvent<MouseEvent>>;

  stepDownButtonClick: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['icon', 'src']
})
@Component({
  selector: 'swirl-app-icon',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['icon', 'src'],
  standalone: false
})
export class SwirlAppIcon {
  protected el: HTMLSwirlAppIconElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlAppIcon extends Components.SwirlAppIcon {}


@ProxyCmp({
  inputs: ['appName', 'backToNavigationViewButtonLabel', 'collapsibleNavigation', 'ctaIcon', 'ctaLabel', 'hasNavigation', 'hideAppBar', 'initialMobileView', 'navigationBackButtonLabel', 'navigationExpansionStateStorageKey', 'navigationLabel', 'navigationOverlayLabel', 'navigationToggleLabel', 'showNavigationBackButton', 'sidebarCloseButtonLabel', 'sidebarHeading', 'transitionStyle'],
  methods: ['showSidebar', 'hideSidebar', 'toggleSidebar', 'getCollapsibleNavigationState', 'setCollapsibleNavigationState', 'changeMobileView']
})
@Component({
  selector: 'swirl-app-layout',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'appName', required: true }, 'backToNavigationViewButtonLabel', 'collapsibleNavigation', 'ctaIcon', 'ctaLabel', 'hasNavigation', 'hideAppBar', 'initialMobileView', 'navigationBackButtonLabel', 'navigationExpansionStateStorageKey', 'navigationLabel', 'navigationOverlayLabel', 'navigationToggleLabel', 'showNavigationBackButton', 'sidebarCloseButtonLabel', 'sidebarHeading', 'transitionStyle'],
  standalone: false
})
export class SwirlAppLayout {
  protected el: HTMLSwirlAppLayoutElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['ctaClick', 'mobileViewChange', 'navigationBackButtonClick', 'navigationExpansionStateChange', 'sidebarToggle']);
  }
}


import type { SwirlAppLayoutMobileView as ISwirlAppLayoutSwirlAppLayoutMobileView } from '@getflip/swirl-components';
import type { SwirlAppLayoutNavigationExpansionState as ISwirlAppLayoutSwirlAppLayoutNavigationExpansionState } from '@getflip/swirl-components';

export declare interface SwirlAppLayout extends Components.SwirlAppLayout {

  ctaClick: EventEmitter<CustomEvent<MouseEvent>>;

  mobileViewChange: EventEmitter<CustomEvent<ISwirlAppLayoutSwirlAppLayoutMobileView>>;

  navigationBackButtonClick: EventEmitter<CustomEvent<MouseEvent>>;

  navigationExpansionStateChange: EventEmitter<CustomEvent<ISwirlAppLayoutSwirlAppLayoutNavigationExpansionState>>;

  sidebarToggle: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
  inputs: ['autoSelect', 'clearButtonLabel', 'clearable', 'disabled', 'generateSuggestions', 'inline', 'invalid', 'maxLength', 'menuLabel', 'mode', 'multiSelect', 'placeholder', 'required', 'spellCheck', 'swirlAriaDescribedby', 'value']
})
@Component({
  selector: 'swirl-autocomplete',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoSelect', 'clearButtonLabel', 'clearable', 'disabled', 'generateSuggestions', 'inline', 'invalid', 'maxLength', 'menuLabel', 'mode', 'multiSelect', 'placeholder', 'required', 'spellCheck', 'swirlAriaDescribedby', 'value'],
  standalone: false
})
export class SwirlAutocomplete {
  protected el: HTMLSwirlAutocompleteElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


import type { SwirlAutocompleteValue as ISwirlAutocompleteSwirlAutocompleteValue } from '@getflip/swirl-components';

export declare interface SwirlAutocomplete extends Components.SwirlAutocomplete {

  valueChange: EventEmitter<CustomEvent<ISwirlAutocompleteSwirlAutocompleteValue>>;
}


@ProxyCmp({
  inputs: ['badge', 'badgePosition', 'color', 'icon', 'initials', 'interactive', 'label', 'loading', 'showLabel', 'size', 'src', 'toolPosition', 'variant']
})
@Component({
  selector: 'swirl-avatar',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['badge', 'badgePosition', 'color', 'icon', 'initials', 'interactive', { name: 'label', required: true }, 'loading', 'showLabel', 'size', 'src', 'toolPosition', 'variant'],
  standalone: false
})
export class SwirlAvatar {
  protected el: HTMLSwirlAvatarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['imageError', 'imageLoad']);
  }
}


export declare interface SwirlAvatar extends Components.SwirlAvatar {

  imageError: EventEmitter<CustomEvent<void>>;

  imageLoad: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['badge']
})
@Component({
  selector: 'swirl-avatar-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['badge'],
  standalone: false
})
export class SwirlAvatarGroup {
  protected el: HTMLSwirlAvatarGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlAvatarGroup extends Components.SwirlAvatarGroup {}


@ProxyCmp({
  inputs: ['icon', 'intent', 'label', 'size', 'variant']
})
@Component({
  selector: 'swirl-badge',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['icon', 'intent', { name: 'label', required: true }, 'size', 'variant'],
  standalone: false
})
export class SwirlBadge {
  protected el: HTMLSwirlBadgeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlBadge extends Components.SwirlBadge {}


@ProxyCmp({
  inputs: ['actionLabel', 'content', 'dismissLabel', 'dismissable', 'icon', 'importance', 'intent', 'showIcon', 'size']
})
@Component({
  selector: 'swirl-banner',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['actionLabel', { name: 'content', required: true }, 'dismissLabel', 'dismissable', 'icon', 'importance', 'intent', 'showIcon', 'size'],
  standalone: false
})
export class SwirlBanner {
  protected el: HTMLSwirlBannerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['action', 'dismiss']);
  }
}


export declare interface SwirlBanner extends Components.SwirlBanner {

  action: EventEmitter<CustomEvent<MouseEvent>>;

  dismiss: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['basis', 'borderColor', 'bordered', 'borderedBlockEnd', 'borderedBlockEndWhenScrolled', 'borderedBlockStart', 'borderedBlockStartWhenScrolled', 'borderedInlineEnd', 'borderedInlineStart', 'bottom', 'centerBlock', 'centerInline', 'cover', 'grow', 'height', 'left', 'maxHeight', 'maxWidth', 'minHeight', 'minWidth', 'overflow', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'position', 'right', 'shrink', 'top', 'width', 'zIndex']
})
@Component({
  selector: 'swirl-box',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['basis', 'borderColor', 'bordered', 'borderedBlockEnd', 'borderedBlockEndWhenScrolled', 'borderedBlockStart', 'borderedBlockStartWhenScrolled', 'borderedInlineEnd', 'borderedInlineStart', 'bottom', 'centerBlock', 'centerInline', 'cover', 'grow', 'height', 'left', 'maxHeight', 'maxWidth', 'minHeight', 'minWidth', 'overflow', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'position', 'right', 'shrink', 'top', 'width', 'zIndex'],
  standalone: false
})
export class SwirlBox {
  protected el: HTMLSwirlBoxElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['componentLoad']);
  }
}


export declare interface SwirlBox extends Components.SwirlBox {

  componentLoad: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['disabled', 'download', 'elevated', 'form', 'hideLabel', 'href', 'icon', 'iconPosition', 'inheritFontSize', 'intent', 'label', 'name', 'pill', 'pressed', 'size', 'swirlAriaControls', 'swirlAriaCurrent', 'swirlAriaDescribedby', 'swirlAriaExpanded', 'swirlAriaHaspopup', 'swirlAriaLabel', 'target', 'textAlign', 'type', 'value', 'variant']
})
@Component({
  selector: 'swirl-button',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['disabled', 'download', 'elevated', 'form', 'hideLabel', 'href', 'icon', 'iconPosition', 'inheritFontSize', 'intent', { name: 'label', required: true }, 'name', 'pill', 'pressed', 'size', 'swirlAriaControls', 'swirlAriaCurrent', 'swirlAriaDescribedby', 'swirlAriaExpanded', 'swirlAriaHaspopup', 'swirlAriaLabel', 'target', 'textAlign', 'type', 'value', 'variant'],
  standalone: false
})
export class SwirlButton {
  protected el: HTMLSwirlButtonElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlButton extends Components.SwirlButton {}


@ProxyCmp({
  inputs: ['orientation', 'segmented', 'spacing', 'stretch', 'wrap']
})
@Component({
  selector: 'swirl-button-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['orientation', 'segmented', 'spacing', 'stretch', 'wrap'],
  standalone: false
})
export class SwirlButtonGroup {
  protected el: HTMLSwirlButtonGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlButtonGroup extends Components.SwirlButtonGroup {}


@ProxyCmp({
  inputs: ['as', 'borderRadius', 'customBackgroundColor', 'elevated', 'elevationLevel', 'height', 'highlighted', 'href', 'imageAspectRatio', 'intent', 'interactive', 'isBorderless', 'justifyContent', 'linkTarget', 'minHeight', 'overflow', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'swirlAriaLabel', 'swirlAriaLabelledby'],
  methods: ['flash']
})
@Component({
  selector: 'swirl-card',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['as', 'borderRadius', 'customBackgroundColor', 'elevated', 'elevationLevel', 'height', 'highlighted', 'href', 'imageAspectRatio', 'intent', 'interactive', 'isBorderless', 'justifyContent', 'linkTarget', 'minHeight', 'overflow', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'swirlAriaLabel', 'swirlAriaLabelledby'],
  standalone: false
})
export class SwirlCard {
  protected el: HTMLSwirlCardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['componentLoad']);
  }
}


export declare interface SwirlCard extends Components.SwirlCard {

  componentLoad: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['fade', 'fadeColor', 'label', 'loopAround', 'nextSlideButtonLabel', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'previousSlideButtonLabel', 'spacing'],
  methods: ['scrollToSlide']
})
@Component({
  selector: 'swirl-carousel',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['fade', 'fadeColor', { name: 'label', required: true }, 'loopAround', 'nextSlideButtonLabel', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'previousSlideButtonLabel', 'spacing'],
  standalone: false
})
export class SwirlCarousel {
  protected el: HTMLSwirlCarouselElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activeSlidesChange']);
  }
}


export declare interface SwirlCarousel extends Components.SwirlCarousel {

  activeSlidesChange: EventEmitter<CustomEvent<HTMLSwirlCarouselSlideElement[]>>;
}


@ProxyCmp({
  inputs: ['aspectRatio', 'label', 'minHeight', 'width']
})
@Component({
  selector: 'swirl-carousel-slide',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['aspectRatio', 'label', 'minHeight', 'width'],
  standalone: false
})
export class SwirlCarouselSlide {
  protected el: HTMLSwirlCarouselSlideElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlCarouselSlide extends Components.SwirlCarouselSlide {}


@ProxyCmp({
  inputs: ['checked', 'description', 'disabled', 'inputId', 'inputName', 'invalid', 'label', 'labelWeight', 'swirlAriaDescribedby', 'swirlAriaLabel', 'value', 'variant']
})
@Component({
  selector: 'swirl-checkbox',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['checked', 'description', 'disabled', { name: 'inputId', required: true }, { name: 'inputName', required: true }, 'invalid', 'label', 'labelWeight', 'swirlAriaDescribedby', 'swirlAriaLabel', 'value', 'variant'],
  standalone: false
})
export class SwirlCheckbox {
  protected el: HTMLSwirlCheckboxElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlCheckbox extends Components.SwirlCheckbox {

  valueChange: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
  inputs: ['borderRadius', 'icon', 'iconColor', 'intent', 'interactive', 'label', 'pressed', 'progress', 'progressBarLabel', 'removable', 'removeButtonLabel', 'size', 'variant']
})
@Component({
  selector: 'swirl-chip',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['borderRadius', 'icon', 'iconColor', 'intent', 'interactive', { name: 'label', required: true }, 'pressed', 'progress', 'progressBarLabel', 'removable', 'removeButtonLabel', 'size', 'variant'],
  standalone: false
})
export class SwirlChip {
  protected el: HTMLSwirlChipElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['chipClick', 'remove']);
  }
}


export declare interface SwirlChip extends Components.SwirlChip {

  chipClick: EventEmitter<CustomEvent<MouseEvent>>;

  remove: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['autoFocus', 'autoSelect', 'disabled', 'inline', 'invalid', 'pickerButtonLabel', 'pickerLabel', 'placeholder', 'required', 'swirlAriaDescribedby', 'value']
})
@Component({
  selector: 'swirl-color-input',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoFocus', 'autoSelect', 'disabled', 'inline', 'invalid', 'pickerButtonLabel', 'pickerLabel', 'placeholder', 'required', 'swirlAriaDescribedby', 'value'],
  standalone: false
})
export class SwirlColorInput {
  protected el: HTMLSwirlColorInputElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['inputBlur', 'inputFocus', 'valueChange']);
  }
}


export declare interface SwirlColorInput extends Components.SwirlColorInput {

  inputBlur: EventEmitter<CustomEvent<FocusEvent>>;

  inputFocus: EventEmitter<CustomEvent<FocusEvent>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['columns', 'spacing']
})
@Component({
  selector: 'swirl-columns',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['columns', 'spacing'],
  standalone: false
})
export class SwirlColumns {
  protected el: HTMLSwirlColumnsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlColumns extends Components.SwirlColumns {}


@ProxyCmp({
  inputs: ['appName', 'backButonLabel', 'heading', 'helpButonLabel', 'hideNavigationButtonLabel', 'logoText', 'maxContentWidth', 'navigationLabel', 'showBackButton', 'showHelpButton', 'showNavigationButtonLabel', 'subheading'],
  methods: ['toggleSidebar', 'showSidebar', 'hideSidebar']
})
@Component({
  selector: 'swirl-console-layout',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['appName', 'backButonLabel', 'heading', 'helpButonLabel', 'hideNavigationButtonLabel', 'logoText', 'maxContentWidth', 'navigationLabel', 'showBackButton', 'showHelpButton', 'showNavigationButtonLabel', 'subheading'],
  standalone: false
})
export class SwirlConsoleLayout {
  protected el: HTMLSwirlConsoleLayoutElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['backButtonClick', 'helpButtonClick']);
  }
}


export declare interface SwirlConsoleLayout extends Components.SwirlConsoleLayout {

  backButtonClick: EventEmitter<CustomEvent<MouseEvent>>;

  helpButtonClick: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['autoFocus', 'autoSelect', 'datePickerDisableDate', 'datePickerLabel', 'datePickerTriggerLabel', 'disabled', 'firstDayOfWeek', 'format', 'inline', 'invalid', 'labels', 'locale', 'placeholder', 'preferredInputMode', 'required', 'swirlAriaDescribedby', 'value']
})
@Component({
  selector: 'swirl-date-input',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoFocus', 'autoSelect', 'datePickerDisableDate', 'datePickerLabel', 'datePickerTriggerLabel', 'disabled', 'firstDayOfWeek', 'format', 'inline', 'invalid', 'labels', 'locale', 'placeholder', 'preferredInputMode', 'required', 'swirlAriaDescribedby', 'value'],
  standalone: false
})
export class SwirlDateInput {
  protected el: HTMLSwirlDateInputElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['invalidInput', 'valueChange']);
  }
}


export declare interface SwirlDateInput extends Components.SwirlDateInput {

  invalidInput: EventEmitter<CustomEvent<string>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['disableDate', 'firstDayOfWeek', 'labels', 'locale', 'range', 'startDate', 'value']
})
@Component({
  selector: 'swirl-date-picker',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['disableDate', 'firstDayOfWeek', 'labels', 'locale', 'range', 'startDate', 'value'],
  standalone: false
})
export class SwirlDatePicker {
  protected el: HTMLSwirlDatePickerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlDatePicker extends Components.SwirlDatePicker {

  valueChange: EventEmitter<CustomEvent<Date | Date[]>>;
}


@ProxyCmp({
})
@Component({
  selector: 'swirl-description-list',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlDescriptionList {
  protected el: HTMLSwirlDescriptionListElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlDescriptionList extends Components.SwirlDescriptionList {}


@ProxyCmp({
  inputs: ['bordered', 'maxWidth', 'term', 'tooltip']
})
@Component({
  selector: 'swirl-description-list-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['bordered', 'maxWidth', { name: 'term', required: true }, 'tooltip'],
  standalone: false
})
export class SwirlDescriptionListItem {
  protected el: HTMLSwirlDescriptionListItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlDescriptionListItem extends Components.SwirlDescriptionListItem {}


@ProxyCmp({
  inputs: ['hideLabel', 'intent', 'label', 'primaryActionLabel', 'secondaryActionLabel'],
  methods: ['open', 'close']
})
@Component({
  selector: 'swirl-dialog',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['hideLabel', 'intent', { name: 'label', required: true }, 'primaryActionLabel', 'secondaryActionLabel'],
  standalone: false
})
export class SwirlDialog {
  protected el: HTMLSwirlDialogElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['dialogClose', 'dialogOpen', 'primaryAction', 'secondaryAction']);
  }
}


export declare interface SwirlDialog extends Components.SwirlDialog {

  dialogClose: EventEmitter<CustomEvent<void>>;

  dialogOpen: EventEmitter<CustomEvent<void>>;

  primaryAction: EventEmitter<CustomEvent<MouseEvent>>;

  secondaryAction: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['label', 'name', 'size']
})
@Component({
  selector: 'swirl-emoji',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', { name: 'name', required: true }, 'size'],
  standalone: false
})
export class SwirlEmoji {
  protected el: HTMLSwirlEmojiElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmoji extends Components.SwirlEmoji {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-clap',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiClap {
  protected el: HTMLSwirlEmojiClapElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiClap extends Components.SwirlEmojiClap {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-happy',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiHappy {
  protected el: HTMLSwirlEmojiHappyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiHappy extends Components.SwirlEmojiHappy {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-idea',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiIdea {
  protected el: HTMLSwirlEmojiIdeaElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiIdea extends Components.SwirlEmojiIdea {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-love',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiLove {
  protected el: HTMLSwirlEmojiLoveElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiLove extends Components.SwirlEmojiLove {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-sad',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiSad {
  protected el: HTMLSwirlEmojiSadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiSad extends Components.SwirlEmojiSad {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-emoji-thumbs-up',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlEmojiThumbsUp {
  protected el: HTMLSwirlEmojiThumbsUpElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmojiThumbsUp extends Components.SwirlEmojiThumbsUp {}


@ProxyCmp({
  inputs: ['heading', 'headingLevel', 'illustration']
})
@Component({
  selector: 'swirl-empty-state',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['heading', 'headingLevel', 'illustration'],
  standalone: false
})
export class SwirlEmptyState {
  protected el: HTMLSwirlEmptyStateElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlEmptyState extends Components.SwirlEmptyState {}


@ProxyCmp({
  inputs: ['description', 'downloadButtonLabel', 'loading', 'loadingLabel', 'name', 'previewButtonLabel', 'showDownloadButton', 'showPreviewButton', 'skipNativeDownload', 'type', 'url']
})
@Component({
  selector: 'swirl-file-chip',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'downloadButtonLabel', 'loading', 'loadingLabel', { name: 'name', required: true }, 'previewButtonLabel', 'showDownloadButton', 'showPreviewButton', 'skipNativeDownload', { name: 'type', required: true }, { name: 'url', required: true }],
  standalone: false
})
export class SwirlFileChip {
  protected el: HTMLSwirlFileChipElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['preview', 'download']);
  }
}


export declare interface SwirlFileChip extends Components.SwirlFileChip {

  preview: EventEmitter<CustomEvent<void>>;

  download: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['accept', 'ctaLabel', 'description', 'descriptionAllowHtml', 'disabled', 'dragDropLabel', 'hideLabel', 'inputId', 'inputName', 'label', 'multiple', 'showDropzone', 'uploadButtonIcon', 'uploadButtonLabel', 'uploadButtonVariant'],
  methods: ['reset']
})
@Component({
  selector: 'swirl-file-uploader',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['accept', 'ctaLabel', 'description', 'descriptionAllowHtml', 'disabled', 'dragDropLabel', 'hideLabel', { name: 'inputId', required: true }, { name: 'inputName', required: true }, { name: 'label', required: true }, 'multiple', 'showDropzone', 'uploadButtonIcon', 'uploadButtonLabel', 'uploadButtonVariant'],
  standalone: false
})
export class SwirlFileUploader {
  protected el: HTMLSwirlFileUploaderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlFileUploader extends Components.SwirlFileUploader {

  valueChange: EventEmitter<CustomEvent<FileList>>;
}


@ProxyCmp({
  inputs: ['active', 'autoplay', 'description', 'disableDownload', 'disablePrint', 'errorMessage', 'file', 'fileName', 'pdfWorkerSrc', 'skipNativeDownload', 'thumbnailUrl', 'type', 'typeUnsupportedMessage', 'viewMode', 'zoom'],
  methods: ['download', 'print']
})
@Component({
  selector: 'swirl-file-viewer',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'autoplay', 'description', 'disableDownload', 'disablePrint', 'errorMessage', { name: 'file', required: true }, 'fileName', 'pdfWorkerSrc', 'skipNativeDownload', 'thumbnailUrl', { name: 'type', required: true }, 'typeUnsupportedMessage', 'viewMode', 'zoom'],
  standalone: false
})
export class SwirlFileViewer {
  protected el: HTMLSwirlFileViewerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate', 'visiblePagesChange', 'downloadStart']);
  }
}


export declare interface SwirlFileViewer extends Components.SwirlFileViewer {

  activate: EventEmitter<CustomEvent<HTMLElement>>;

  visiblePagesChange: EventEmitter<CustomEvent<number[]>>;

  downloadStart: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['autoplay', 'file']
})
@Component({
  selector: 'swirl-file-viewer-audio',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoplay', { name: 'file', required: true }],
  standalone: false
})
export class SwirlFileViewerAudio {
  protected el: HTMLSwirlFileViewerAudioElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate']);
  }
}


export declare interface SwirlFileViewerAudio extends Components.SwirlFileViewerAudio {

  activate: EventEmitter<CustomEvent<HTMLElement>>;
}


@ProxyCmp({
  inputs: ['errorMessage', 'file']
})
@Component({
  selector: 'swirl-file-viewer-csv',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['errorMessage', { name: 'file', required: true }],
  standalone: false
})
export class SwirlFileViewerCsv {
  protected el: HTMLSwirlFileViewerCsvElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate']);
  }
}


export declare interface SwirlFileViewerCsv extends Components.SwirlFileViewerCsv {

  activate: EventEmitter<CustomEvent<HTMLElement>>;
}


@ProxyCmp({
  inputs: ['disableDownload', 'downloadButtonLabel', 'file', 'fileName']
})
@Component({
  selector: 'swirl-file-viewer-fallback',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['disableDownload', 'downloadButtonLabel', { name: 'file', required: true }, 'fileName'],
  standalone: false
})
export class SwirlFileViewerFallback {
  protected el: HTMLSwirlFileViewerFallbackElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate', 'download']);
  }
}


export declare interface SwirlFileViewerFallback extends Components.SwirlFileViewerFallback {

  activate: EventEmitter<CustomEvent<HTMLElement>>;

  download: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['description', 'errorMessage', 'file', 'maxZoom'],
  methods: ['getZoom', 'resetZoom']
})
@Component({
  selector: 'swirl-file-viewer-image',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'errorMessage', { name: 'file', required: true }, 'maxZoom'],
  standalone: false
})
export class SwirlFileViewerImage {
  protected el: HTMLSwirlFileViewerImageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate']);
  }
}


export declare interface SwirlFileViewerImage extends Components.SwirlFileViewerImage {

  activate: EventEmitter<CustomEvent<HTMLElement>>;
}


@ProxyCmp({
  inputs: ['errorMessage', 'file', 'singlePageMode', 'viewMode', 'workerSrc', 'zoom'],
  methods: ['getThumbnails', 'print', 'nextPage', 'previousPage', 'setPage']
})
@Component({
  selector: 'swirl-file-viewer-pdf',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['errorMessage', { name: 'file', required: true }, 'singlePageMode', 'viewMode', 'workerSrc', 'zoom'],
  standalone: false
})
export class SwirlFileViewerPdf {
  protected el: HTMLSwirlFileViewerPdfElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate', 'visiblePagesChange']);
  }
}


export declare interface SwirlFileViewerPdf extends Components.SwirlFileViewerPdf {

  activate: EventEmitter<CustomEvent<HTMLElement>>;

  visiblePagesChange: EventEmitter<CustomEvent<number[]>>;
}


@ProxyCmp({
  inputs: ['errorMessage', 'file']
})
@Component({
  selector: 'swirl-file-viewer-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['errorMessage', { name: 'file', required: true }],
  standalone: false
})
export class SwirlFileViewerText {
  protected el: HTMLSwirlFileViewerTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate']);
  }
}


export declare interface SwirlFileViewerText extends Components.SwirlFileViewerText {

  activate: EventEmitter<CustomEvent<HTMLElement>>;
}


@ProxyCmp({
  inputs: ['autoplay', 'disableDownload', 'file']
})
@Component({
  selector: 'swirl-file-viewer-video',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoplay', 'disableDownload', { name: 'file', required: true }],
  standalone: false
})
export class SwirlFileViewerVideo {
  protected el: HTMLSwirlFileViewerVideoElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activate']);
  }
}


export declare interface SwirlFileViewerVideo extends Components.SwirlFileViewerVideo {

  activate: EventEmitter<CustomEvent<HTMLElement>>;
}


@ProxyCmp({
  inputs: ['description', 'disabled', 'errorMessage', 'fontSize', 'hideLabel', 'icon', 'inline', 'invalid', 'label', 'labelPosition', 'secondaryLabel', 'tooltip']
})
@Component({
  selector: 'swirl-form-control',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'disabled', 'errorMessage', 'fontSize', 'hideLabel', 'icon', 'inline', 'invalid', { name: 'label', required: true }, 'labelPosition', 'secondaryLabel', 'tooltip'],
  standalone: false
})
export class SwirlFormControl {
  protected el: HTMLSwirlFormControlElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlFormControl extends Components.SwirlFormControl {}


@ProxyCmp({
  inputs: ['orientation']
})
@Component({
  selector: 'swirl-form-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['orientation'],
  standalone: false
})
export class SwirlFormGroup {
  protected el: HTMLSwirlFormGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlFormGroup extends Components.SwirlFormGroup {}


@ProxyCmp({
  inputs: ['align', 'as', 'balance', 'headingId', 'level', 'lines', 'text', 'truncate']
})
@Component({
  selector: 'swirl-heading',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['align', 'as', 'balance', 'headingId', 'level', 'lines', { name: 'text', required: true }, 'truncate'],
  standalone: false
})
export class SwirlHeading {
  protected el: HTMLSwirlHeadingElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlHeading extends Components.SwirlHeading {}


@ProxyCmp({
  inputs: ['color', 'glyph', 'size']
})
@Component({
  selector: 'swirl-icon',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', { name: 'glyph', required: true }, 'size'],
  standalone: false
})
export class SwirlIcon {
  protected el: HTMLSwirlIconElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIcon extends Components.SwirlIcon {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-add',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAdd {
  protected el: HTMLSwirlIconAddElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAdd extends Components.SwirlIconAdd {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-add-moderator',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAddModerator {
  protected el: HTMLSwirlIconAddModeratorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAddModerator extends Components.SwirlIconAddModerator {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-add-photo',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAddPhoto {
  protected el: HTMLSwirlIconAddPhotoElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAddPhoto extends Components.SwirlIconAddPhoto {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-add-reaction',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAddReaction {
  protected el: HTMLSwirlIconAddReactionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAddReaction extends Components.SwirlIconAddReaction {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-admin-panel-settings',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAdminPanelSettings {
  protected el: HTMLSwirlIconAdminPanelSettingsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAdminPanelSettings extends Components.SwirlIconAdminPanelSettings {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ai',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAi {
  protected el: HTMLSwirlIconAiElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAi extends Components.SwirlIconAi {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ai-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAiFilled {
  protected el: HTMLSwirlIconAiFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAiFilled extends Components.SwirlIconAiFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-apps',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconApps {
  protected el: HTMLSwirlIconAppsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconApps extends Components.SwirlIconApps {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-back',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowBack {
  protected el: HTMLSwirlIconArrowBackElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowBack extends Components.SwirlIconArrowBack {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-downward',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowDownward {
  protected el: HTMLSwirlIconArrowDownwardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowDownward extends Components.SwirlIconArrowDownward {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-forward',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowForward {
  protected el: HTMLSwirlIconArrowForwardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowForward extends Components.SwirlIconArrowForward {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-left',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowLeft {
  protected el: HTMLSwirlIconArrowLeftElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowLeft extends Components.SwirlIconArrowLeft {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-right',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowRight {
  protected el: HTMLSwirlIconArrowRightElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowRight extends Components.SwirlIconArrowRight {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-right-small',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowRightSmall {
  protected el: HTMLSwirlIconArrowRightSmallElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowRightSmall extends Components.SwirlIconArrowRightSmall {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-arrow-upward',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconArrowUpward {
  protected el: HTMLSwirlIconArrowUpwardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconArrowUpward extends Components.SwirlIconArrowUpward {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-aspect-ratio',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAspectRatio {
  protected el: HTMLSwirlIconAspectRatioElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAspectRatio extends Components.SwirlIconAspectRatio {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-attachment',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAttachment {
  protected el: HTMLSwirlIconAttachmentElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAttachment extends Components.SwirlIconAttachment {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-audio-file',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAudioFile {
  protected el: HTMLSwirlIconAudioFileElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAudioFile extends Components.SwirlIconAudioFile {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-autorenew',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconAutorenew {
  protected el: HTMLSwirlIconAutorenewElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconAutorenew extends Components.SwirlIconAutorenew {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-bar-chart',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBarChart {
  protected el: HTMLSwirlIconBarChartElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBarChart extends Components.SwirlIconBarChart {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-beach-access',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBeachAccess {
  protected el: HTMLSwirlIconBeachAccessElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBeachAccess extends Components.SwirlIconBeachAccess {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-beach-access-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBeachAccessFilled {
  protected el: HTMLSwirlIconBeachAccessFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBeachAccessFilled extends Components.SwirlIconBeachAccessFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-block',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBlock {
  protected el: HTMLSwirlIconBlockElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBlock extends Components.SwirlIconBlock {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-bookmark',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBookmark {
  protected el: HTMLSwirlIconBookmarkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBookmark extends Components.SwirlIconBookmark {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-bookmark-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconBookmarkFilled {
  protected el: HTMLSwirlIconBookmarkFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconBookmarkFilled extends Components.SwirlIconBookmarkFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-calendar-add-on-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCalendarAddOnFilled {
  protected el: HTMLSwirlIconCalendarAddOnFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCalendarAddOnFilled extends Components.SwirlIconCalendarAddOnFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-calendar-respond',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCalendarRespond {
  protected el: HTMLSwirlIconCalendarRespondElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCalendarRespond extends Components.SwirlIconCalendarRespond {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-calendar-today',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCalendarToday {
  protected el: HTMLSwirlIconCalendarTodayElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCalendarToday extends Components.SwirlIconCalendarToday {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-call',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCall {
  protected el: HTMLSwirlIconCallElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCall extends Components.SwirlIconCall {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-call-end',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCallEnd {
  protected el: HTMLSwirlIconCallEndElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCallEnd extends Components.SwirlIconCallEnd {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-cancel',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCancel {
  protected el: HTMLSwirlIconCancelElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCancel extends Components.SwirlIconCancel {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-cancel-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCancelFilled {
  protected el: HTMLSwirlIconCancelFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCancelFilled extends Components.SwirlIconCancelFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-chat-bubble',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconChatBubble {
  protected el: HTMLSwirlIconChatBubbleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconChatBubble extends Components.SwirlIconChatBubble {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-chats',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconChats {
  protected el: HTMLSwirlIconChatsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconChats extends Components.SwirlIconChats {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-chats-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconChatsFilled {
  protected el: HTMLSwirlIconChatsFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconChatsFilled extends Components.SwirlIconChatsFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-check',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCheck {
  protected el: HTMLSwirlIconCheckElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCheck extends Components.SwirlIconCheck {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-check-circle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCheckCircle {
  protected el: HTMLSwirlIconCheckCircleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCheckCircle extends Components.SwirlIconCheckCircle {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-check-circle-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCheckCircleFilled {
  protected el: HTMLSwirlIconCheckCircleFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCheckCircleFilled extends Components.SwirlIconCheckCircleFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-check-small',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCheckSmall {
  protected el: HTMLSwirlIconCheckSmallElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCheckSmall extends Components.SwirlIconCheckSmall {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-check-strong',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCheckStrong {
  protected el: HTMLSwirlIconCheckStrongElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCheckStrong extends Components.SwirlIconCheckStrong {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-chevron-left',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconChevronLeft {
  protected el: HTMLSwirlIconChevronLeftElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconChevronLeft extends Components.SwirlIconChevronLeft {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-chevron-right',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconChevronRight {
  protected el: HTMLSwirlIconChevronRightElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconChevronRight extends Components.SwirlIconChevronRight {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-close',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconClose {
  protected el: HTMLSwirlIconCloseElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconClose extends Components.SwirlIconClose {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-close-fullscreen',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCloseFullscreen {
  protected el: HTMLSwirlIconCloseFullscreenElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCloseFullscreen extends Components.SwirlIconCloseFullscreen {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-close-small',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCloseSmall {
  protected el: HTMLSwirlIconCloseSmallElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCloseSmall extends Components.SwirlIconCloseSmall {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-cloud-upload',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCloudUpload {
  protected el: HTMLSwirlIconCloudUploadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCloudUpload extends Components.SwirlIconCloudUpload {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-column',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconColumn {
  protected el: HTMLSwirlIconColumnElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconColumn extends Components.SwirlIconColumn {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-comment',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconComment {
  protected el: HTMLSwirlIconCommentElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconComment extends Components.SwirlIconComment {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-contrast',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconContrast {
  protected el: HTMLSwirlIconContrastElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconContrast extends Components.SwirlIconContrast {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-copy',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCopy {
  protected el: HTMLSwirlIconCopyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCopy extends Components.SwirlIconCopy {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-crop',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconCrop {
  protected el: HTMLSwirlIconCropElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconCrop extends Components.SwirlIconCrop {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-dark-mode',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDarkMode {
  protected el: HTMLSwirlIconDarkModeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDarkMode extends Components.SwirlIconDarkMode {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-date-range',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDateRange {
  protected el: HTMLSwirlIconDateRangeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDateRange extends Components.SwirlIconDateRange {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-delete',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDelete {
  protected el: HTMLSwirlIconDeleteElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDelete extends Components.SwirlIconDelete {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-deployed-code',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDeployedCode {
  protected el: HTMLSwirlIconDeployedCodeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDeployedCode extends Components.SwirlIconDeployedCode {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-description',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDescription {
  protected el: HTMLSwirlIconDescriptionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDescription extends Components.SwirlIconDescription {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-desktop',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDesktop {
  protected el: HTMLSwirlIconDesktopElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDesktop extends Components.SwirlIconDesktop {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-directory',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDirectory {
  protected el: HTMLSwirlIconDirectoryElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDirectory extends Components.SwirlIconDirectory {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-directory-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDirectoryFilled {
  protected el: HTMLSwirlIconDirectoryFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDirectoryFilled extends Components.SwirlIconDirectoryFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-discover',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDiscover {
  protected el: HTMLSwirlIconDiscoverElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDiscover extends Components.SwirlIconDiscover {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-dock-left',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDockLeft {
  protected el: HTMLSwirlIconDockLeftElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDockLeft extends Components.SwirlIconDockLeft {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-dock-left-collapse',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDockLeftCollapse {
  protected el: HTMLSwirlIconDockLeftCollapseElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDockLeftCollapse extends Components.SwirlIconDockLeftCollapse {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-dock-left-expand',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDockLeftExpand {
  protected el: HTMLSwirlIconDockLeftExpandElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDockLeftExpand extends Components.SwirlIconDockLeftExpand {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-door-open',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDoorOpen {
  protected el: HTMLSwirlIconDoorOpenElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDoorOpen extends Components.SwirlIconDoorOpen {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-dot',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDot {
  protected el: HTMLSwirlIconDotElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDot extends Components.SwirlIconDot {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-double-arrow-left',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDoubleArrowLeft {
  protected el: HTMLSwirlIconDoubleArrowLeftElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDoubleArrowLeft extends Components.SwirlIconDoubleArrowLeft {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-double-arrow-right',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDoubleArrowRight {
  protected el: HTMLSwirlIconDoubleArrowRightElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDoubleArrowRight extends Components.SwirlIconDoubleArrowRight {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-download',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDownload {
  protected el: HTMLSwirlIconDownloadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDownload extends Components.SwirlIconDownload {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-drag-handle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconDragHandle {
  protected el: HTMLSwirlIconDragHandleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconDragHandle extends Components.SwirlIconDragHandle {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-edit',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconEdit {
  protected el: HTMLSwirlIconEditElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconEdit extends Components.SwirlIconEdit {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-edit-note',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconEditNote {
  protected el: HTMLSwirlIconEditNoteElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconEditNote extends Components.SwirlIconEditNote {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-emoji-mood',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconEmojiMood {
  protected el: HTMLSwirlIconEmojiMoodElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconEmojiMood extends Components.SwirlIconEmojiMood {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-emoji-satisfied',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconEmojiSatisfied {
  protected el: HTMLSwirlIconEmojiSatisfiedElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconEmojiSatisfied extends Components.SwirlIconEmojiSatisfied {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-error',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconError {
  protected el: HTMLSwirlIconErrorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconError extends Components.SwirlIconError {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-expand-less',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconExpandLess {
  protected el: HTMLSwirlIconExpandLessElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconExpandLess extends Components.SwirlIconExpandLess {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-expand-more',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconExpandMore {
  protected el: HTMLSwirlIconExpandMoreElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconExpandMore extends Components.SwirlIconExpandMore {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-experiment',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconExperiment {
  protected el: HTMLSwirlIconExperimentElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconExperiment extends Components.SwirlIconExperiment {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-file',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFile {
  protected el: HTMLSwirlIconFileElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFile extends Components.SwirlIconFile {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-file-copy',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFileCopy {
  protected el: HTMLSwirlIconFileCopyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFileCopy extends Components.SwirlIconFileCopy {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-filter',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFilter {
  protected el: HTMLSwirlIconFilterElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFilter extends Components.SwirlIconFilter {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-folder',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFolder {
  protected el: HTMLSwirlIconFolderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFolder extends Components.SwirlIconFolder {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-folder-shared',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFolderShared {
  protected el: HTMLSwirlIconFolderSharedElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFolderShared extends Components.SwirlIconFolderShared {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-format-h-one',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFormatHOne {
  protected el: HTMLSwirlIconFormatHOneElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFormatHOne extends Components.SwirlIconFormatHOne {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-format-list-bulleted',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFormatListBulleted {
  protected el: HTMLSwirlIconFormatListBulletedElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFormatListBulleted extends Components.SwirlIconFormatListBulleted {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-fullscreen',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFullscreen {
  protected el: HTMLSwirlIconFullscreenElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFullscreen extends Components.SwirlIconFullscreen {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-fullscreen-exit',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconFullscreenExit {
  protected el: HTMLSwirlIconFullscreenExitElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconFullscreenExit extends Components.SwirlIconFullscreenExit {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-gif',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconGif {
  protected el: HTMLSwirlIconGifElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconGif extends Components.SwirlIconGif {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-group-add',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconGroupAdd {
  protected el: HTMLSwirlIconGroupAddElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconGroupAdd extends Components.SwirlIconGroupAdd {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-group-assign',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconGroupAssign {
  protected el: HTMLSwirlIconGroupAssignElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconGroupAssign extends Components.SwirlIconGroupAssign {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-groups',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconGroups {
  protected el: HTMLSwirlIconGroupsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconGroups extends Components.SwirlIconGroups {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-groups-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconGroupsFilled {
  protected el: HTMLSwirlIconGroupsFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconGroupsFilled extends Components.SwirlIconGroupsFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-hamburger-menu',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHamburgerMenu {
  protected el: HTMLSwirlIconHamburgerMenuElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHamburgerMenu extends Components.SwirlIconHamburgerMenu {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-health-and-safety',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHealthAndSafety {
  protected el: HTMLSwirlIconHealthAndSafetyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHealthAndSafety extends Components.SwirlIconHealthAndSafety {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-help',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHelp {
  protected el: HTMLSwirlIconHelpElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHelp extends Components.SwirlIconHelp {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-help-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHelpFilled {
  protected el: HTMLSwirlIconHelpFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHelpFilled extends Components.SwirlIconHelpFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-highlight',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHighlight {
  protected el: HTMLSwirlIconHighlightElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHighlight extends Components.SwirlIconHighlight {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-history',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHistory {
  protected el: HTMLSwirlIconHistoryElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHistory extends Components.SwirlIconHistory {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-home',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHome {
  protected el: HTMLSwirlIconHomeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHome extends Components.SwirlIconHome {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-hr-resting',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconHrResting {
  protected el: HTMLSwirlIconHrRestingElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconHrResting extends Components.SwirlIconHrResting {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-image',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconImage {
  protected el: HTMLSwirlIconImageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconImage extends Components.SwirlIconImage {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-improve-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconImproveText {
  protected el: HTMLSwirlIconImproveTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconImproveText extends Components.SwirlIconImproveText {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-info',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInfo {
  protected el: HTMLSwirlIconInfoElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInfo extends Components.SwirlIconInfo {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-insert-below',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInsertBelow {
  protected el: HTMLSwirlIconInsertBelowElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInsertBelow extends Components.SwirlIconInsertBelow {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-insert-chart',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInsertChart {
  protected el: HTMLSwirlIconInsertChartElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInsertChart extends Components.SwirlIconInsertChart {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-insert-on-top',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInsertOnTop {
  protected el: HTMLSwirlIconInsertOnTopElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInsertOnTop extends Components.SwirlIconInsertOnTop {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-inventory',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInventory {
  protected el: HTMLSwirlIconInventoryElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInventory extends Components.SwirlIconInventory {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-inventory-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconInventoryOff {
  protected el: HTMLSwirlIconInventoryOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconInventoryOff extends Components.SwirlIconInventoryOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-iphone',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconIphone {
  protected el: HTMLSwirlIconIphoneElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconIphone extends Components.SwirlIconIphone {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-key',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconKey {
  protected el: HTMLSwirlIconKeyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconKey extends Components.SwirlIconKey {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-keyboard',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconKeyboard {
  protected el: HTMLSwirlIconKeyboardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconKeyboard extends Components.SwirlIconKeyboard {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-keyboard-hide',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconKeyboardHide {
  protected el: HTMLSwirlIconKeyboardHideElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconKeyboardHide extends Components.SwirlIconKeyboardHide {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-light-mode',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLightMode {
  protected el: HTMLSwirlIconLightModeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLightMode extends Components.SwirlIconLightMode {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-like',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLike {
  protected el: HTMLSwirlIconLikeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLike extends Components.SwirlIconLike {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-link',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLink {
  protected el: HTMLSwirlIconLinkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLink extends Components.SwirlIconLink {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-live',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLive {
  protected el: HTMLSwirlIconLiveElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLive extends Components.SwirlIconLive {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-load',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLoad {
  protected el: HTMLSwirlIconLoadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLoad extends Components.SwirlIconLoad {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-location-on',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLocationOn {
  protected el: HTMLSwirlIconLocationOnElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLocationOn extends Components.SwirlIconLocationOn {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-lock',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLock {
  protected el: HTMLSwirlIconLockElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLock extends Components.SwirlIconLock {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-lock-open',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLockOpen {
  protected el: HTMLSwirlIconLockOpenElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLockOpen extends Components.SwirlIconLockOpen {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-lock-person',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLockPerson {
  protected el: HTMLSwirlIconLockPersonElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLockPerson extends Components.SwirlIconLockPerson {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-login',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLogin {
  protected el: HTMLSwirlIconLoginElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLogin extends Components.SwirlIconLogin {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-logout',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLogout {
  protected el: HTMLSwirlIconLogoutElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLogout extends Components.SwirlIconLogout {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-long-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconLongText {
  protected el: HTMLSwirlIconLongTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconLongText extends Components.SwirlIconLongText {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mail',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMail {
  protected el: HTMLSwirlIconMailElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMail extends Components.SwirlIconMail {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-manage-accounts',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconManageAccounts {
  protected el: HTMLSwirlIconManageAccountsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconManageAccounts extends Components.SwirlIconManageAccounts {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mark-chat-read',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMarkChatRead {
  protected el: HTMLSwirlIconMarkChatReadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMarkChatRead extends Components.SwirlIconMarkChatRead {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mark-chat-unread',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMarkChatUnread {
  protected el: HTMLSwirlIconMarkChatUnreadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMarkChatUnread extends Components.SwirlIconMarkChatUnread {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mention',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMention {
  protected el: HTMLSwirlIconMentionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMention extends Components.SwirlIconMention {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-menu',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMenu {
  protected el: HTMLSwirlIconMenuElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMenu extends Components.SwirlIconMenu {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-menu-book',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMenuBook {
  protected el: HTMLSwirlIconMenuBookElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMenuBook extends Components.SwirlIconMenuBook {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-menu-book-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMenuBookFilled {
  protected el: HTMLSwirlIconMenuBookFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMenuBookFilled extends Components.SwirlIconMenuBookFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-menu-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMenuFilled {
  protected el: HTMLSwirlIconMenuFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMenuFilled extends Components.SwirlIconMenuFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-message',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMessage {
  protected el: HTMLSwirlIconMessageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMessage extends Components.SwirlIconMessage {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mic',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMic {
  protected el: HTMLSwirlIconMicElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMic extends Components.SwirlIconMic {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-mic-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMicOff {
  protected el: HTMLSwirlIconMicOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMicOff extends Components.SwirlIconMicOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-more-horizontal',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMoreHorizontal {
  protected el: HTMLSwirlIconMoreHorizontalElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMoreHorizontal extends Components.SwirlIconMoreHorizontal {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-more-vertikal',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconMoreVertikal {
  protected el: HTMLSwirlIconMoreVertikalElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconMoreVertikal extends Components.SwirlIconMoreVertikal {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-news',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNews {
  protected el: HTMLSwirlIconNewsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNews extends Components.SwirlIconNews {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-news-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNewsFilled {
  protected el: HTMLSwirlIconNewsFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNewsFilled extends Components.SwirlIconNewsFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-news-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNewsOff {
  protected el: HTMLSwirlIconNewsOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNewsOff extends Components.SwirlIconNewsOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-next-plan',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNextPlan {
  protected el: HTMLSwirlIconNextPlanElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNextPlan extends Components.SwirlIconNextPlan {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-notifications',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNotifications {
  protected el: HTMLSwirlIconNotificationsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNotifications extends Components.SwirlIconNotifications {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-notifications-active',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNotificationsActive {
  protected el: HTMLSwirlIconNotificationsActiveElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNotificationsActive extends Components.SwirlIconNotificationsActive {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-notifications-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconNotificationsOff {
  protected el: HTMLSwirlIconNotificationsOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconNotificationsOff extends Components.SwirlIconNotificationsOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-open-in-full',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconOpenInFull {
  protected el: HTMLSwirlIconOpenInFullElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconOpenInFull extends Components.SwirlIconOpenInFull {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-open-in-new',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconOpenInNew {
  protected el: HTMLSwirlIconOpenInNewElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconOpenInNew extends Components.SwirlIconOpenInNew {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-pause',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPause {
  protected el: HTMLSwirlIconPauseElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPause extends Components.SwirlIconPause {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-pause-circle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPauseCircle {
  protected el: HTMLSwirlIconPauseCircleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPauseCircle extends Components.SwirlIconPauseCircle {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-people-alt',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPeopleAlt {
  protected el: HTMLSwirlIconPeopleAltElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPeopleAlt extends Components.SwirlIconPeopleAlt {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-person',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPerson {
  protected el: HTMLSwirlIconPersonElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPerson extends Components.SwirlIconPerson {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-person-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPersonOff {
  protected el: HTMLSwirlIconPersonOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPersonOff extends Components.SwirlIconPersonOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-phone',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPhone {
  protected el: HTMLSwirlIconPhoneElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPhone extends Components.SwirlIconPhone {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-photo-camera',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPhotoCamera {
  protected el: HTMLSwirlIconPhotoCameraElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPhotoCamera extends Components.SwirlIconPhotoCamera {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-picture-as-pdf',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPictureAsPdf {
  protected el: HTMLSwirlIconPictureAsPdfElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPictureAsPdf extends Components.SwirlIconPictureAsPdf {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-picture-in-picture',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPictureInPicture {
  protected el: HTMLSwirlIconPictureInPictureElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPictureInPicture extends Components.SwirlIconPictureInPicture {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-pin',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPin {
  protected el: HTMLSwirlIconPinElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPin extends Components.SwirlIconPin {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-pin-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPinOff {
  protected el: HTMLSwirlIconPinOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPinOff extends Components.SwirlIconPinOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-place',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPlace {
  protected el: HTMLSwirlIconPlaceElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPlace extends Components.SwirlIconPlace {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-play-arrow',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPlayArrow {
  protected el: HTMLSwirlIconPlayArrowElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPlayArrow extends Components.SwirlIconPlayArrow {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-poll',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPoll {
  protected el: HTMLSwirlIconPollElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPoll extends Components.SwirlIconPoll {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-post-approval',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPostApproval {
  protected el: HTMLSwirlIconPostApprovalElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPostApproval extends Components.SwirlIconPostApproval {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-present',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPresent {
  protected el: HTMLSwirlIconPresentElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPresent extends Components.SwirlIconPresent {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-preview',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPreview {
  protected el: HTMLSwirlIconPreviewElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPreview extends Components.SwirlIconPreview {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-print',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPrint {
  protected el: HTMLSwirlIconPrintElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPrint extends Components.SwirlIconPrint {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-public',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPublic {
  protected el: HTMLSwirlIconPublicElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPublic extends Components.SwirlIconPublic {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-public-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPublicOff {
  protected el: HTMLSwirlIconPublicOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPublicOff extends Components.SwirlIconPublicOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-published-with-changes',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconPublishedWithChanges {
  protected el: HTMLSwirlIconPublishedWithChangesElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconPublishedWithChanges extends Components.SwirlIconPublishedWithChanges {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-four-to-three',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioFourToThree {
  protected el: HTMLSwirlIconRatioFourToThreeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioFourToThree extends Components.SwirlIconRatioFourToThree {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-freeform',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioFreeform {
  protected el: HTMLSwirlIconRatioFreeformElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioFreeform extends Components.SwirlIconRatioFreeform {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-sixteen-to-nine',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioSixteenToNine {
  protected el: HTMLSwirlIconRatioSixteenToNineElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioSixteenToNine extends Components.SwirlIconRatioSixteenToNine {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-square',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioSquare {
  protected el: HTMLSwirlIconRatioSquareElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioSquare extends Components.SwirlIconRatioSquare {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-three-to-four',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioThreeToFour {
  protected el: HTMLSwirlIconRatioThreeToFourElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioThreeToFour extends Components.SwirlIconRatioThreeToFour {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-ratio-three-to-two',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRatioThreeToTwo {
  protected el: HTMLSwirlIconRatioThreeToTwoElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRatioThreeToTwo extends Components.SwirlIconRatioThreeToTwo {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-recieved',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRecieved {
  protected el: HTMLSwirlIconRecievedElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRecieved extends Components.SwirlIconRecieved {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-refresh',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRefresh {
  protected el: HTMLSwirlIconRefreshElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRefresh extends Components.SwirlIconRefresh {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-remove',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRemove {
  protected el: HTMLSwirlIconRemoveElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRemove extends Components.SwirlIconRemove {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-remove-circle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRemoveCircle {
  protected el: HTMLSwirlIconRemoveCircleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRemoveCircle extends Components.SwirlIconRemoveCircle {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-remove-moderator',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRemoveModerator {
  protected el: HTMLSwirlIconRemoveModeratorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRemoveModerator extends Components.SwirlIconRemoveModerator {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-reply',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconReply {
  protected el: HTMLSwirlIconReplyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconReply extends Components.SwirlIconReply {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-report',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconReport {
  protected el: HTMLSwirlIconReportElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconReport extends Components.SwirlIconReport {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-roadmap',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRoadmap {
  protected el: HTMLSwirlIconRoadmapElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRoadmap extends Components.SwirlIconRoadmap {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-rotate-left',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRotateLeft {
  protected el: HTMLSwirlIconRotateLeftElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRotateLeft extends Components.SwirlIconRotateLeft {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-rotate-right',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconRotateRight {
  protected el: HTMLSwirlIconRotateRightElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconRotateRight extends Components.SwirlIconRotateRight {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-screenshare',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconScreenshare {
  protected el: HTMLSwirlIconScreenshareElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconScreenshare extends Components.SwirlIconScreenshare {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-screenshare-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconScreenshareOff {
  protected el: HTMLSwirlIconScreenshareOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconScreenshareOff extends Components.SwirlIconScreenshareOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-search',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSearch {
  protected el: HTMLSwirlIconSearchElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSearch extends Components.SwirlIconSearch {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-search-strong',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSearchStrong {
  protected el: HTMLSwirlIconSearchStrongElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSearchStrong extends Components.SwirlIconSearchStrong {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-secure',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSecure {
  protected el: HTMLSwirlIconSecureElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSecure extends Components.SwirlIconSecure {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-send',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSend {
  protected el: HTMLSwirlIconSendElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSend extends Components.SwirlIconSend {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-settings',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSettings {
  protected el: HTMLSwirlIconSettingsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSettings extends Components.SwirlIconSettings {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-short-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconShortText {
  protected el: HTMLSwirlIconShortTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconShortText extends Components.SwirlIconShortText {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-simplify',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSimplify {
  protected el: HTMLSwirlIconSimplifyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSimplify extends Components.SwirlIconSimplify {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-spellcheck',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSpellcheck {
  protected el: HTMLSwirlIconSpellcheckElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSpellcheck extends Components.SwirlIconSpellcheck {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-stars',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconStars {
  protected el: HTMLSwirlIconStarsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconStars extends Components.SwirlIconStars {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-sticky-note',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconStickyNote {
  protected el: HTMLSwirlIconStickyNoteElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconStickyNote extends Components.SwirlIconStickyNote {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-stop',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconStop {
  protected el: HTMLSwirlIconStopElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconStop extends Components.SwirlIconStop {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-stop-circle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconStopCircle {
  protected el: HTMLSwirlIconStopCircleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconStopCircle extends Components.SwirlIconStopCircle {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-sunny',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSunny {
  protected el: HTMLSwirlIconSunnyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSunny extends Components.SwirlIconSunny {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-sync',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconSync {
  protected el: HTMLSwirlIconSyncElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconSync extends Components.SwirlIconSync {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-tasks',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTasks {
  protected el: HTMLSwirlIconTasksElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTasks extends Components.SwirlIconTasks {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-tasks-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTasksFilled {
  protected el: HTMLSwirlIconTasksFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTasksFilled extends Components.SwirlIconTasksFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-terminal',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTerminal {
  protected el: HTMLSwirlIconTerminalElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTerminal extends Components.SwirlIconTerminal {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-time',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTime {
  protected el: HTMLSwirlIconTimeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTime extends Components.SwirlIconTime {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-time-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTimeFilled {
  protected el: HTMLSwirlIconTimeFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTimeFilled extends Components.SwirlIconTimeFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-today',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconToday {
  protected el: HTMLSwirlIconTodayElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconToday extends Components.SwirlIconToday {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-today-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTodayFilled {
  protected el: HTMLSwirlIconTodayFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTodayFilled extends Components.SwirlIconTodayFilled {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-translate',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTranslate {
  protected el: HTMLSwirlIconTranslateElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTranslate extends Components.SwirlIconTranslate {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-tree-structure',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconTreeStructure {
  protected el: HTMLSwirlIconTreeStructureElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconTreeStructure extends Components.SwirlIconTreeStructure {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-undo',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconUndo {
  protected el: HTMLSwirlIconUndoElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconUndo extends Components.SwirlIconUndo {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-unlock-person',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconUnlockPerson {
  protected el: HTMLSwirlIconUnlockPersonElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconUnlockPerson extends Components.SwirlIconUnlockPerson {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-upload',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconUpload {
  protected el: HTMLSwirlIconUploadElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconUpload extends Components.SwirlIconUpload {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-user-add',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconUserAdd {
  protected el: HTMLSwirlIconUserAddElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconUserAdd extends Components.SwirlIconUserAdd {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-user-assign',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconUserAssign {
  protected el: HTMLSwirlIconUserAssignElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconUserAssign extends Components.SwirlIconUserAssign {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-video-camera',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVideoCamera {
  protected el: HTMLSwirlIconVideoCameraElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVideoCamera extends Components.SwirlIconVideoCamera {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-video-camera-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVideoCameraOff {
  protected el: HTMLSwirlIconVideoCameraOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVideoCameraOff extends Components.SwirlIconVideoCameraOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-video-library',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVideoLibrary {
  protected el: HTMLSwirlIconVideoLibraryElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVideoLibrary extends Components.SwirlIconVideoLibrary {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-video-player',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVideoPlayer {
  protected el: HTMLSwirlIconVideoPlayerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVideoPlayer extends Components.SwirlIconVideoPlayer {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-view-agenda',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconViewAgenda {
  protected el: HTMLSwirlIconViewAgendaElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconViewAgenda extends Components.SwirlIconViewAgenda {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-visibility',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVisibility {
  protected el: HTMLSwirlIconVisibilityElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVisibility extends Components.SwirlIconVisibility {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-visibility-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVisibilityOff {
  protected el: HTMLSwirlIconVisibilityOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVisibilityOff extends Components.SwirlIconVisibilityOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-voice',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVoice {
  protected el: HTMLSwirlIconVoiceElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVoice extends Components.SwirlIconVoice {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-volume-up',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconVolumeUp {
  protected el: HTMLSwirlIconVolumeUpElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconVolumeUp extends Components.SwirlIconVolumeUp {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-warning',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconWarning {
  protected el: HTMLSwirlIconWarningElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconWarning extends Components.SwirlIconWarning {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-web-asset',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconWebAsset {
  protected el: HTMLSwirlIconWebAssetElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconWebAsset extends Components.SwirlIconWebAsset {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-web-asset-off',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconWebAssetOff {
  protected el: HTMLSwirlIconWebAssetOffElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconWebAssetOff extends Components.SwirlIconWebAssetOff {}


@ProxyCmp({
  inputs: ['color', 'size']
})
@Component({
  selector: 'swirl-icon-work',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', 'size'],
  standalone: false
})
export class SwirlIconWork {
  protected el: HTMLSwirlIconWorkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlIconWork extends Components.SwirlIconWork {}


@ProxyCmp({
  inputs: ['aspectRatio', 'borderRadius', 'label']
})
@Component({
  selector: 'swirl-image-grid',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['aspectRatio', 'borderRadius', 'label'],
  standalone: false
})
export class SwirlImageGrid {
  protected el: HTMLSwirlImageGridElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlImageGrid extends Components.SwirlImageGrid {}


@ProxyCmp({
  inputs: ['alt', 'gifPauseLabel', 'gifPlayLabel', 'icon', 'interactive', 'loading', 'overlay', 'showGifControls', 'src'],
  methods: ['play', 'pause']
})
@Component({
  selector: 'swirl-image-grid-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'alt', required: true }, 'gifPauseLabel', 'gifPlayLabel', 'icon', 'interactive', 'loading', 'overlay', 'showGifControls', { name: 'src', required: true }],
  standalone: false
})
export class SwirlImageGridItem {
  protected el: HTMLSwirlImageGridItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['gifStarted', 'gifStopped', 'imageError', 'imageLoad']);
  }
}


export declare interface SwirlImageGridItem extends Components.SwirlImageGridItem {

  gifStarted: EventEmitter<CustomEvent<void>>;

  gifStopped: EventEmitter<CustomEvent<void>>;

  imageError: EventEmitter<CustomEvent<void>>;

  imageLoad: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['message', 'size']
})
@Component({
  selector: 'swirl-inline-error',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'message', required: true }, 'size'],
  standalone: false
})
export class SwirlInlineError {
  protected el: HTMLSwirlInlineErrorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlInlineError extends Components.SwirlInlineError {}


@ProxyCmp({
  inputs: ['heading', 'hideHeading', 'importance', 'intent']
})
@Component({
  selector: 'swirl-inline-notification',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'heading', required: true }, 'hideHeading', 'importance', 'intent'],
  standalone: false
})
export class SwirlInlineNotification {
  protected el: HTMLSwirlInlineNotificationElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlInlineNotification extends Components.SwirlInlineNotification {}


@ProxyCmp({
  inputs: ['icon', 'intent', 'message', 'size']
})
@Component({
  selector: 'swirl-inline-status',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['icon', { name: 'intent', required: true }, { name: 'message', required: true }, 'size'],
  standalone: false
})
export class SwirlInlineStatus {
  protected el: HTMLSwirlInlineStatusElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlInlineStatus extends Components.SwirlInlineStatus {}


@ProxyCmp({
  inputs: ['closeButtonLabel', 'downloadButtonEnabled', 'downloadButtonLabel', 'hideMenu', 'label', 'menuLabel', 'menuTriggerLabel', 'nextSlideButtonLabel', 'previousSlideButtonLabel'],
  methods: ['open', 'close', 'activateSlide']
})
@Component({
  selector: 'swirl-lightbox',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['closeButtonLabel', 'downloadButtonEnabled', 'downloadButtonLabel', 'hideMenu', { name: 'label', required: true }, 'menuLabel', 'menuTriggerLabel', 'nextSlideButtonLabel', 'previousSlideButtonLabel'],
  standalone: false
})
export class SwirlLightbox {
  protected el: HTMLSwirlLightboxElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activeSlideChange', 'lightboxClose']);
  }
}


export declare interface SwirlLightbox extends Components.SwirlLightbox {

  activeSlideChange: EventEmitter<CustomEvent<number>>;

  lightboxClose: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['color', 'href', 'label', 'target']
})
@Component({
  selector: 'swirl-link',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['color', { name: 'href', required: true }, { name: 'label', required: true }, 'target'],
  standalone: false
})
export class SwirlLink {
  protected el: HTMLSwirlLinkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlLink extends Components.SwirlLink {}


@ProxyCmp({
})
@Component({
  selector: 'swirl-list',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlList {
  protected el: HTMLSwirlListElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlList extends Components.SwirlList {}


@ProxyCmp({
  inputs: ['active', 'label', 'level', 'mobileBackButtonLabel', 'mobileCloseMenuButtonLabel', 'mobileDoneButtonLabel', 'value', 'variant'],
  methods: ['activateMenuItem', 'close', 'goBack', 'focusFirstItem', 'focusItemAtIndex', 'updateSelection', 'updateActiveItem']
})
@Component({
  selector: 'swirl-menu',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', { name: 'label', required: true }, 'level', 'mobileBackButtonLabel', 'mobileCloseMenuButtonLabel', 'mobileDoneButtonLabel', 'value', 'variant'],
  standalone: false
})
export class SwirlMenu {
  protected el: HTMLSwirlMenuElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['done', 'valueChange']);
  }
}


export declare interface SwirlMenu extends Components.SwirlMenu {

  done: EventEmitter<CustomEvent<void>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['description', 'disabled', 'expanded', 'icon', 'iconBadge', 'intent', 'label', 'suffix', 'value'],
  methods: ['getSubMenu', 'updateValue', 'getParentMenu']
})
@Component({
  selector: 'swirl-menu-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'disabled', 'expanded', 'icon', 'iconBadge', 'intent', { name: 'label', required: true }, 'suffix', 'value'],
  standalone: false
})
export class SwirlMenuItem {
  protected el: HTMLSwirlMenuItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlMenuItem extends Components.SwirlMenuItem {}


@ProxyCmp({
  inputs: ['closable', 'closeButtonLabel', 'contentGap', 'fullscreenDisableButtonLabel', 'fullscreenEnableButtonLabel', 'hasSidebarCloseButton', 'height', 'hideCloseButton', 'hideLabel', 'hideScrolledHeaderBorder', 'hideSecondaryContent', 'hideSecondaryContentBorders', 'hideSidebarContent', 'label', 'maxHeight', 'maxWidth', 'minHeight', 'padded', 'primaryActionLabel', 'primaryContentFlex', 'primaryContentMaxWidth', 'secondaryActionLabel', 'secondaryContentFlex', 'secondaryContentMaxWidth', 'secondaryContentPadding', 'secondaryContentPaddingBlockEnd', 'secondaryContentPaddingBlockStart', 'secondaryContentPaddingInlineEnd', 'secondaryContentPaddingInlineStart', 'showFullscreenButton', 'sidebarCloseButtonLabel', 'sidebarFooterPadded', 'sidebarLabel', 'sidebarPadded', 'variant'],
  methods: ['open', 'close', 'setFullscreen']
})
@Component({
  selector: 'swirl-modal',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['closable', 'closeButtonLabel', 'contentGap', 'fullscreenDisableButtonLabel', 'fullscreenEnableButtonLabel', 'hasSidebarCloseButton', 'height', 'hideCloseButton', 'hideLabel', 'hideScrolledHeaderBorder', 'hideSecondaryContent', 'hideSecondaryContentBorders', 'hideSidebarContent', { name: 'label', required: true }, 'maxHeight', 'maxWidth', 'minHeight', 'padded', 'primaryActionLabel', 'primaryContentFlex', 'primaryContentMaxWidth', 'secondaryActionLabel', 'secondaryContentFlex', 'secondaryContentMaxWidth', 'secondaryContentPadding', 'secondaryContentPaddingBlockEnd', 'secondaryContentPaddingBlockStart', 'secondaryContentPaddingInlineEnd', 'secondaryContentPaddingInlineStart', 'showFullscreenButton', 'sidebarCloseButtonLabel', 'sidebarFooterPadded', 'sidebarLabel', 'sidebarPadded', 'variant'],
  standalone: false
})
export class SwirlModal {
  protected el: HTMLSwirlModalElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['toggleFullscreen', 'modalClose', 'modalOpen', 'primaryAction', 'requestModalClose', 'secondaryAction', 'sidebarClose']);
  }
}


export declare interface SwirlModal extends Components.SwirlModal {

  toggleFullscreen: EventEmitter<CustomEvent<boolean>>;

  modalClose: EventEmitter<CustomEvent<void>>;

  modalOpen: EventEmitter<CustomEvent<void>>;

  primaryAction: EventEmitter<CustomEvent<MouseEvent>>;

  requestModalClose: EventEmitter<CustomEvent<void>>;

  secondaryAction: EventEmitter<CustomEvent<MouseEvent>>;

  sidebarClose: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['allowDeselect', 'allowDrag', 'assistiveTextItemGrabbed', 'assistiveTextItemMoved', 'assistiveTextItemMoving', 'disabled', 'label', 'multiSelect', 'optionListId', 'value']
})
@Component({
  selector: 'swirl-option-list',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['allowDeselect', 'allowDrag', 'assistiveTextItemGrabbed', 'assistiveTextItemMoved', 'assistiveTextItemMoving', 'disabled', 'label', 'multiSelect', 'optionListId', 'value'],
  standalone: false
})
export class SwirlOptionList {
  protected el: HTMLSwirlOptionListElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['itemDrop', 'valueChange']);
  }
}


export declare interface SwirlOptionList extends Components.SwirlOptionList {

  itemDrop: EventEmitter<CustomEvent<{ item: HTMLSwirlOptionListItemElement; oldIndex: number; newIndex: number; }>>;

  valueChange: EventEmitter<CustomEvent<string[]>>;
}


@ProxyCmp({
  inputs: ['allowDrag', 'context', 'description', 'disabled', 'dragHandleDescription', 'dragHandleLabel', 'dragging', 'icon', 'iconBadge', 'label', 'selected', 'swirlAriaRole', 'value']
})
@Component({
  selector: 'swirl-option-list-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['allowDrag', 'context', 'description', 'disabled', 'dragHandleDescription', 'dragHandleLabel', 'dragging', 'icon', 'iconBadge', { name: 'label', required: true }, 'selected', 'swirlAriaRole', { name: 'value', required: true }],
  standalone: false
})
export class SwirlOptionListItem {
  protected el: HTMLSwirlOptionListItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['toggleDrag']);
  }
}


export declare interface SwirlOptionListItem extends Components.SwirlOptionListItem {

  toggleDrag: EventEmitter<CustomEvent<HTMLSwirlOptionListItemElement>>;
}


@ProxyCmp({
  inputs: ['hasSeparator', 'label', 'separatorSpacing', 'spacing']
})
@Component({
  selector: 'swirl-option-list-section',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['hasSeparator', { name: 'label', required: true }, 'separatorSpacing', 'spacing'],
  standalone: false
})
export class SwirlOptionListSection {
  protected el: HTMLSwirlOptionListSectionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlOptionListSection extends Components.SwirlOptionListSection {}


@ProxyCmp({
  inputs: ['firstPageButtonLabel', 'label', 'lastPageButtonLabel', 'nextButtonLabel', 'page', 'pageLabel', 'pageSelectLabel', 'pageSize', 'pageSizeOptions', 'pageSizeSelectLabel', 'pages', 'prevButtonLabel', 'showPageSizeSelect', 'variant']
})
@Component({
  selector: 'swirl-pagination',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['firstPageButtonLabel', { name: 'label', required: true }, 'lastPageButtonLabel', 'nextButtonLabel', { name: 'page', required: true }, 'pageLabel', 'pageSelectLabel', 'pageSize', 'pageSizeOptions', 'pageSizeSelectLabel', { name: 'pages', required: true }, 'prevButtonLabel', 'showPageSizeSelect', 'variant'],
  standalone: false
})
export class SwirlPagination {
  protected el: HTMLSwirlPaginationElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['setPage', 'setPageSize']);
  }
}


export declare interface SwirlPagination extends Components.SwirlPagination {

  setPage: EventEmitter<CustomEvent<number>>;

  setPageSize: EventEmitter<CustomEvent<number>>;
}


@ProxyCmp({
  inputs: ['autoZoomLabel', 'closeButtonLabel', 'downloadButtonEnabled', 'downloadButtonLabel', 'file', 'fileName', 'fileTypeLabel', 'label', 'menuLabel', 'menuTriggerLabel', 'pdfWorkerSrc', 'printButtonEnabled', 'printButtonLabel', 'sideBySideButtonLabel', 'skipNativeDownload', 'thumbnailButtonLabel', 'thumbnailsButtonLabel', 'thumbnailsLabel', 'zoomInButtonLabel', 'zoomOutButtonLabel', 'zoomSelectLabel'],
  methods: ['open', 'close']
})
@Component({
  selector: 'swirl-pdf-reader',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoZoomLabel', 'closeButtonLabel', 'downloadButtonEnabled', 'downloadButtonLabel', { name: 'file', required: true }, 'fileName', 'fileTypeLabel', { name: 'label', required: true }, 'menuLabel', 'menuTriggerLabel', 'pdfWorkerSrc', 'printButtonEnabled', 'printButtonLabel', 'sideBySideButtonLabel', 'skipNativeDownload', 'thumbnailButtonLabel', 'thumbnailsButtonLabel', 'thumbnailsLabel', 'zoomInButtonLabel', 'zoomOutButtonLabel', 'zoomSelectLabel'],
  standalone: false
})
export class SwirlPdfReader {
  protected el: HTMLSwirlPdfReaderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['modalClose', 'modalOpen']);
  }
}


export declare interface SwirlPdfReader extends Components.SwirlPdfReader {

  modalClose: EventEmitter<CustomEvent<void>>;

  modalOpen: EventEmitter<CustomEvent<void>>;
}


@ProxyCmp({
  inputs: ['animation', 'disableScrollLock', 'enableFlip', 'fullscreenBottomSheet', 'label', 'maxHeight', 'offset', 'padded', 'placement', 'popoverId', 'returnFocusToTrigger', 'transparent', 'trigger', 'triggerContainer', 'useContainerWidth'],
  methods: ['close', 'open', 'isOpen']
})
@Component({
  selector: 'swirl-popover',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['animation', 'disableScrollLock', 'enableFlip', 'fullscreenBottomSheet', { name: 'label', required: true }, 'maxHeight', 'offset', 'padded', 'placement', 'popoverId', 'returnFocusToTrigger', 'transparent', 'trigger', 'triggerContainer', 'useContainerWidth'],
  standalone: false
})
export class SwirlPopover {
  protected el: HTMLSwirlPopoverElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['popoverClose', 'popoverOpen']);
  }
}


import type { ComputePositionReturn as ISwirlPopoverComputePositionReturn } from '@getflip/swirl-components';

export declare interface SwirlPopover extends Components.SwirlPopover {

  popoverClose: EventEmitter<CustomEvent<void>>;

  popoverOpen: EventEmitter<CustomEvent<{ position: ISwirlPopoverComputePositionReturn }>>;
}


@ProxyCmp({
  inputs: ['hidePopoverWhenInvisible', 'hoverDelay', 'hoverLingerDuration', 'parentScrollContainer', 'setAriaAttributes', 'swirlPopover', 'triggerOnClick', 'triggerOnHover']
})
@Component({
  selector: 'swirl-popover-trigger',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['hidePopoverWhenInvisible', 'hoverDelay', 'hoverLingerDuration', 'parentScrollContainer', 'setAriaAttributes', { name: 'swirlPopover', required: true }, 'triggerOnClick', 'triggerOnHover'],
  standalone: false
})
export class SwirlPopoverTrigger {
  protected el: HTMLSwirlPopoverTriggerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlPopoverTrigger extends Components.SwirlPopoverTrigger {}


@ProxyCmp({
  inputs: ['label', 'size', 'value', 'variant']
})
@Component({
  selector: 'swirl-progress-indicator',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'label', required: true }, 'size', 'value', 'variant'],
  standalone: false
})
export class SwirlProgressIndicator {
  protected el: HTMLSwirlProgressIndicatorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlProgressIndicator extends Components.SwirlProgressIndicator {}


@ProxyCmp({
  inputs: ['checked', 'description', 'disabled', 'inputId', 'inputName', 'invalid', 'label', 'tooltip', 'value', 'variant']
})
@Component({
  selector: 'swirl-radio',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['checked', 'description', 'disabled', { name: 'inputId', required: true }, { name: 'inputName', required: true }, 'invalid', 'label', 'tooltip', { name: 'value', required: true }, 'variant'],
  standalone: false
})
export class SwirlRadio {
  protected el: HTMLSwirlRadioElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlRadio extends Components.SwirlRadio {

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['swirlAriaDescribedby', 'value']
})
@Component({
  selector: 'swirl-radio-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['swirlAriaDescribedby', 'value'],
  standalone: false
})
export class SwirlRadioGroup {
  protected el: HTMLSwirlRadioGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlRadioGroup extends Components.SwirlRadioGroup {

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['allowDrag', 'assistiveTextItemGrabbed', 'assistiveTextItemMoved', 'assistiveTextItemMoving', 'controllingElement', 'label', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'semantics', 'spacing']
})
@Component({
  selector: 'swirl-resource-list',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['allowDrag', 'assistiveTextItemGrabbed', 'assistiveTextItemMoved', 'assistiveTextItemMoving', 'controllingElement', 'label', 'padding', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'semantics', 'spacing'],
  standalone: false
})
export class SwirlResourceList {
  protected el: HTMLSwirlResourceListElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['itemDrop']);
  }
}


export declare interface SwirlResourceList extends Components.SwirlResourceList {

  itemDrop: EventEmitter<CustomEvent<{ item: HTMLSwirlResourceListItemElement; oldIndex: number; newIndex: number; }>>;
}


@ProxyCmp({
  inputs: ['description', 'errorMessage', 'icon', 'label', 'loading', 'removable', 'removeButtonLabel']
})
@Component({
  selector: 'swirl-resource-list-file-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['description', 'errorMessage', 'icon', { name: 'label', required: true }, 'loading', 'removable', 'removeButtonLabel'],
  standalone: false
})
export class SwirlResourceListFileItem {
  protected el: HTMLSwirlResourceListFileItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['remove']);
  }
}


export declare interface SwirlResourceListFileItem extends Components.SwirlResourceListFileItem {

  remove: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['active', 'alignItems', 'allowDrag', 'allowHtml', 'checked', 'compact', 'description', 'descriptionWrap', 'disabled', 'dragHandleDescription', 'dragHandleLabel', 'dragging', 'hideDivider', 'href', 'interactive', 'label', 'labelMinHeight', 'labelWeight', 'labelWrap', 'menuTriggerId', 'menuTriggerLabel', 'meta', 'selectable', 'swirlAriaLabel', 'value']
})
@Component({
  selector: 'swirl-resource-list-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'alignItems', 'allowDrag', 'allowHtml', 'checked', 'compact', 'description', 'descriptionWrap', 'disabled', 'dragHandleDescription', 'dragHandleLabel', 'dragging', 'hideDivider', 'href', 'interactive', { name: 'label', required: true }, 'labelMinHeight', 'labelWeight', 'labelWrap', 'menuTriggerId', 'menuTriggerLabel', 'meta', 'selectable', 'swirlAriaLabel', 'value'],
  standalone: false
})
export class SwirlResourceListItem {
  protected el: HTMLSwirlResourceListItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['toggleDrag', 'valueChange']);
  }
}


export declare interface SwirlResourceListItem extends Components.SwirlResourceListItem {

  toggleDrag: EventEmitter<CustomEvent<HTMLSwirlResourceListItemElement>>;

  valueChange: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
  inputs: ['hasSeparator', 'label', 'separatorSpacing', 'spacing']
})
@Component({
  selector: 'swirl-resource-list-section',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['hasSeparator', { name: 'label', required: true }, 'separatorSpacing', 'spacing'],
  standalone: false
})
export class SwirlResourceListSection {
  protected el: HTMLSwirlResourceListSectionElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlResourceListSection extends Components.SwirlResourceListSection {}


@ProxyCmp({
  inputs: ['autoFocus', 'clearButtonLabel', 'disabled', 'inputId', 'inputName', 'label', 'placeholder', 'value', 'variant']
})
@Component({
  selector: 'swirl-search',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoFocus', 'clearButtonLabel', 'disabled', 'inputId', 'inputName', 'label', 'placeholder', 'value', 'variant'],
  standalone: false
})
export class SwirlSearch {
  protected el: HTMLSwirlSearchElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['inputBlur', 'inputFocus', 'inputInput', 'valueChange']);
  }
}


export declare interface SwirlSearch extends Components.SwirlSearch {

  inputBlur: EventEmitter<CustomEvent<FocusEvent>>;

  inputFocus: EventEmitter<CustomEvent<FocusEvent>>;

  inputInput: EventEmitter<CustomEvent<string>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['allowDeselect', 'disabled', 'emptyListLabel', 'inline', 'invalid', 'label', 'multiSelect', 'required', 'searchInputLabel', 'searchLoading', 'searchPlaceholder', 'selectId', 'standalone', 'swirlAriaDescribedby', 'value', 'withSearch']
})
@Component({
  selector: 'swirl-select',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['allowDeselect', 'disabled', 'emptyListLabel', 'inline', 'invalid', { name: 'label', required: true }, 'multiSelect', 'required', 'searchInputLabel', 'searchLoading', 'searchPlaceholder', 'selectId', 'standalone', 'swirlAriaDescribedby', 'value', 'withSearch'],
  standalone: false
})
export class SwirlSelect {
  protected el: HTMLSwirlSelectElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['searchChange', 'valueChange']);
  }
}


export declare interface SwirlSelect extends Components.SwirlSelect {

  searchChange: EventEmitter<CustomEvent<string>>;

  valueChange: EventEmitter<CustomEvent<string[]>>;
}


@ProxyCmp({
  inputs: ['borderColor', 'color', 'label', 'orientation', 'spacing']
})
@Component({
  selector: 'swirl-separator',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['borderColor', 'color', 'label', 'orientation', 'spacing'],
  standalone: false
})
export class SwirlSeparator {
  protected el: HTMLSwirlSeparatorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSeparator extends Components.SwirlSeparator {}


@ProxyCmp({
  inputs: ['brandedHeader', 'browserBackButtonLabel', 'browserForwardButtonLabel', 'collapseNavigationButtonLabel', 'enableSecondaryNavGridLayout', 'expandNavigationButtonLabel', 'gridNavLayoutToggleLabel', 'hideMobileNavigationButtonLabel', 'listNavLayoutToggleLabel', 'navigationLabel', 'secondaryNavCollapseLabel', 'secondaryNavExpandLabel', 'sidebarActive', 'sidebarToggleBadge', 'sidebarToggleBadgeAriaLabel', 'sidebarToggleIcon', 'sidebarToggleLabel', 'skipLinkLabel'],
  methods: ['showMobileNavigation', 'hideMobileNavigation']
})
@Component({
  selector: 'swirl-shell-layout',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['brandedHeader', 'browserBackButtonLabel', 'browserForwardButtonLabel', 'collapseNavigationButtonLabel', 'enableSecondaryNavGridLayout', 'expandNavigationButtonLabel', 'gridNavLayoutToggleLabel', 'hideMobileNavigationButtonLabel', 'listNavLayoutToggleLabel', 'navigationLabel', 'secondaryNavCollapseLabel', 'secondaryNavExpandLabel', 'sidebarActive', 'sidebarToggleBadge', 'sidebarToggleBadgeAriaLabel', 'sidebarToggleIcon', 'sidebarToggleLabel', 'skipLinkLabel'],
  standalone: false
})
export class SwirlShellLayout {
  protected el: HTMLSwirlShellLayoutElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['sidebarToggleClick', 'skipLinkClick']);
  }
}


export declare interface SwirlShellLayout extends Components.SwirlShellLayout {

  sidebarToggleClick: EventEmitter<CustomEvent<MouseEvent>>;

  skipLinkClick: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['active', 'badgeLabel', 'boxed', 'hideLabel', 'href', 'inlineLabel', 'inlineLabelColor', 'label', 'target', 'tiled', 'withGradient']
})
@Component({
  selector: 'swirl-shell-navigation-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'badgeLabel', 'boxed', 'hideLabel', 'href', 'inlineLabel', 'inlineLabelColor', { name: 'label', required: true }, 'target', 'tiled', 'withGradient'],
  standalone: false
})
export class SwirlShellNavigationItem {
  protected el: HTMLSwirlShellNavigationItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlShellNavigationItem extends Components.SwirlShellNavigationItem {}


@ProxyCmp({
  inputs: ['animated', 'aspectRatio', 'borderRadius', 'height', 'width']
})
@Component({
  selector: 'swirl-skeleton-box',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['animated', 'aspectRatio', 'borderRadius', 'height', 'width'],
  standalone: false
})
export class SwirlSkeletonBox {
  protected el: HTMLSwirlSkeletonBoxElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSkeletonBox extends Components.SwirlSkeletonBox {}


@ProxyCmp({
  inputs: ['animated', 'lines', 'size']
})
@Component({
  selector: 'swirl-skeleton-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['animated', 'lines', 'size'],
  standalone: false
})
export class SwirlSkeletonText {
  protected el: HTMLSwirlSkeletonTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSkeletonText extends Components.SwirlSkeletonText {}


@ProxyCmp({
  inputs: ['label', 'size']
})
@Component({
  selector: 'swirl-spinner',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'size'],
  standalone: false
})
export class SwirlSpinner {
  protected el: HTMLSwirlSpinnerElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSpinner extends Components.SwirlSpinner {}


@ProxyCmp({
  inputs: ['align', 'as', 'columnSpacing', 'height', 'justify', 'orientation', 'rowSpacing', 'spacing', 'swirlAriaRole', 'wrap']
})
@Component({
  selector: 'swirl-stack',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['align', 'as', 'columnSpacing', 'height', 'justify', 'orientation', 'rowSpacing', 'spacing', 'swirlAriaRole', 'wrap'],
  standalone: false
})
export class SwirlStack {
  protected el: HTMLSwirlStackElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlStack extends Components.SwirlStack {}


@ProxyCmp({
  inputs: ['intent', 'label']
})
@Component({
  selector: 'swirl-status-indicator',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'intent', required: true }, { name: 'label', required: true }],
  standalone: false
})
export class SwirlStatusIndicator {
  protected el: HTMLSwirlStatusIndicatorElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlStatusIndicator extends Components.SwirlStatusIndicator {}


@ProxyCmp({
  inputs: ['checked', 'disabled', 'hideLabel', 'inputId', 'inputName', 'label', 'labelPosition', 'swirlAriaLabel', 'value'],
  methods: ['toggle']
})
@Component({
  selector: 'swirl-switch',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['checked', 'disabled', 'hideLabel', { name: 'inputId', required: true }, { name: 'inputName', required: true }, 'label', 'labelPosition', 'swirlAriaLabel', 'value'],
  standalone: false
})
export class SwirlSwitch {
  protected el: HTMLSwirlSwitchElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['valueChange']);
  }
}


export declare interface SwirlSwitch extends Components.SwirlSwitch {

  valueChange: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
  inputs: ['glyph', 'size']
})
@Component({
  selector: 'swirl-symbol',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'glyph', required: true }, 'size'],
  standalone: false
})
export class SwirlSymbol {
  protected el: HTMLSwirlSymbolElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbol extends Components.SwirlSymbol {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-account-circle',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolAccountCircle {
  protected el: HTMLSwirlSymbolAccountCircleElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolAccountCircle extends Components.SwirlSymbolAccountCircle {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-alternate-email',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolAlternateEmail {
  protected el: HTMLSwirlSymbolAlternateEmailElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolAlternateEmail extends Components.SwirlSymbolAlternateEmail {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-android',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolAndroid {
  protected el: HTMLSwirlSymbolAndroidElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolAndroid extends Components.SwirlSymbolAndroid {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-announcement',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolAnnouncement {
  protected el: HTMLSwirlSymbolAnnouncementElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolAnnouncement extends Components.SwirlSymbolAnnouncement {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-backup',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolBackup {
  protected el: HTMLSwirlSymbolBackupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolBackup extends Components.SwirlSymbolBackup {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-beach-access',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolBeachAccess {
  protected el: HTMLSwirlSymbolBeachAccessElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolBeachAccess extends Components.SwirlSymbolBeachAccess {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-bookmark',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolBookmark {
  protected el: HTMLSwirlSymbolBookmarkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolBookmark extends Components.SwirlSymbolBookmark {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-cloud',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolCloud {
  protected el: HTMLSwirlSymbolCloudElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolCloud extends Components.SwirlSymbolCloud {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-coronavirus',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolCoronavirus {
  protected el: HTMLSwirlSymbolCoronavirusElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolCoronavirus extends Components.SwirlSymbolCoronavirus {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-desktop-windows',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolDesktopWindows {
  protected el: HTMLSwirlSymbolDesktopWindowsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolDesktopWindows extends Components.SwirlSymbolDesktopWindows {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-directions-car-filled',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolDirectionsCarFilled {
  protected el: HTMLSwirlSymbolDirectionsCarFilledElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolDirectionsCarFilled extends Components.SwirlSymbolDirectionsCarFilled {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-edit-calendar',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolEditCalendar {
  protected el: HTMLSwirlSymbolEditCalendarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolEditCalendar extends Components.SwirlSymbolEditCalendar {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-email',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolEmail {
  protected el: HTMLSwirlSymbolEmailElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolEmail extends Components.SwirlSymbolEmail {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-emoji-food-beverage',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolEmojiFoodBeverage {
  protected el: HTMLSwirlSymbolEmojiFoodBeverageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolEmojiFoodBeverage extends Components.SwirlSymbolEmojiFoodBeverage {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-event-menu',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolEventMenu {
  protected el: HTMLSwirlSymbolEventMenuElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolEventMenu extends Components.SwirlSymbolEventMenu {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-facebook',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolFacebook {
  protected el: HTMLSwirlSymbolFacebookElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolFacebook extends Components.SwirlSymbolFacebook {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-favorite',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolFavorite {
  protected el: HTMLSwirlSymbolFavoriteElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolFavorite extends Components.SwirlSymbolFavorite {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-fitness-center',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolFitnessCenter {
  protected el: HTMLSwirlSymbolFitnessCenterElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolFitnessCenter extends Components.SwirlSymbolFitnessCenter {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-flag',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolFlag {
  protected el: HTMLSwirlSymbolFlagElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolFlag extends Components.SwirlSymbolFlag {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-folder',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolFolder {
  protected el: HTMLSwirlSymbolFolderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolFolder extends Components.SwirlSymbolFolder {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-globe',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolGlobe {
  protected el: HTMLSwirlSymbolGlobeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolGlobe extends Components.SwirlSymbolGlobe {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-groups',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolGroups {
  protected el: HTMLSwirlSymbolGroupsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolGroups extends Components.SwirlSymbolGroups {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-help',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolHelp {
  protected el: HTMLSwirlSymbolHelpElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolHelp extends Components.SwirlSymbolHelp {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-image',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolImage {
  protected el: HTMLSwirlSymbolImageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolImage extends Components.SwirlSymbolImage {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-info-menu',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolInfoMenu {
  protected el: HTMLSwirlSymbolInfoMenuElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolInfoMenu extends Components.SwirlSymbolInfoMenu {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-instagram',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolInstagram {
  protected el: HTMLSwirlSymbolInstagramElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolInstagram extends Components.SwirlSymbolInstagram {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-ios',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolIos {
  protected el: HTMLSwirlSymbolIosElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolIos extends Components.SwirlSymbolIos {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-language',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLanguage {
  protected el: HTMLSwirlSymbolLanguageElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLanguage extends Components.SwirlSymbolLanguage {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-leaderboard',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLeaderboard {
  protected el: HTMLSwirlSymbolLeaderboardElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLeaderboard extends Components.SwirlSymbolLeaderboard {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-lightbulb',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLightbulb {
  protected el: HTMLSwirlSymbolLightbulbElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLightbulb extends Components.SwirlSymbolLightbulb {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-linkedin',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLinkedin {
  protected el: HTMLSwirlSymbolLinkedinElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLinkedin extends Components.SwirlSymbolLinkedin {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-location-on',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLocationOn {
  protected el: HTMLSwirlSymbolLocationOnElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLocationOn extends Components.SwirlSymbolLocationOn {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-loyalty',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolLoyalty {
  protected el: HTMLSwirlSymbolLoyaltyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolLoyalty extends Components.SwirlSymbolLoyalty {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-maps-home-work',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolMapsHomeWork {
  protected el: HTMLSwirlSymbolMapsHomeWorkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolMapsHomeWork extends Components.SwirlSymbolMapsHomeWork {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-notifications',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolNotifications {
  protected el: HTMLSwirlSymbolNotificationsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolNotifications extends Components.SwirlSymbolNotifications {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-open-in-new',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolOpenInNew {
  protected el: HTMLSwirlSymbolOpenInNewElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolOpenInNew extends Components.SwirlSymbolOpenInNew {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-pedal-bike',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolPedalBike {
  protected el: HTMLSwirlSymbolPedalBikeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolPedalBike extends Components.SwirlSymbolPedalBike {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-pinterest',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolPinterest {
  protected el: HTMLSwirlSymbolPinterestElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolPinterest extends Components.SwirlSymbolPinterest {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-policy',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolPolicy {
  protected el: HTMLSwirlSymbolPolicyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolPolicy extends Components.SwirlSymbolPolicy {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-push-pin',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolPushPin {
  protected el: HTMLSwirlSymbolPushPinElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolPushPin extends Components.SwirlSymbolPushPin {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-redeem',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolRedeem {
  protected el: HTMLSwirlSymbolRedeemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolRedeem extends Components.SwirlSymbolRedeem {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-report-problem',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolReportProblem {
  protected el: HTMLSwirlSymbolReportProblemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolReportProblem extends Components.SwirlSymbolReportProblem {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-restaurant',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolRestaurant {
  protected el: HTMLSwirlSymbolRestaurantElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolRestaurant extends Components.SwirlSymbolRestaurant {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-roadmap',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolRoadmap {
  protected el: HTMLSwirlSymbolRoadmapElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolRoadmap extends Components.SwirlSymbolRoadmap {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-room',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolRoom {
  protected el: HTMLSwirlSymbolRoomElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolRoom extends Components.SwirlSymbolRoom {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-savings',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolSavings {
  protected el: HTMLSwirlSymbolSavingsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolSavings extends Components.SwirlSymbolSavings {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-settings-voice',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolSettingsVoice {
  protected el: HTMLSwirlSymbolSettingsVoiceElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolSettingsVoice extends Components.SwirlSymbolSettingsVoice {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-shopping-cart',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolShoppingCart {
  protected el: HTMLSwirlSymbolShoppingCartElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolShoppingCart extends Components.SwirlSymbolShoppingCart {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-smartphone',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolSmartphone {
  protected el: HTMLSwirlSymbolSmartphoneElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolSmartphone extends Components.SwirlSymbolSmartphone {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-star',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolStar {
  protected el: HTMLSwirlSymbolStarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolStar extends Components.SwirlSymbolStar {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-supervisor-account',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolSupervisorAccount {
  protected el: HTMLSwirlSymbolSupervisorAccountElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolSupervisorAccount extends Components.SwirlSymbolSupervisorAccount {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-thumbs-up-down',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolThumbsUpDown {
  protected el: HTMLSwirlSymbolThumbsUpDownElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolThumbsUpDown extends Components.SwirlSymbolThumbsUpDown {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-twitter',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolTwitter {
  protected el: HTMLSwirlSymbolTwitterElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolTwitter extends Components.SwirlSymbolTwitter {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-wb-sunny',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolWbSunny {
  protected el: HTMLSwirlSymbolWbSunnyElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolWbSunny extends Components.SwirlSymbolWbSunny {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-wechat',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolWechat {
  protected el: HTMLSwirlSymbolWechatElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolWechat extends Components.SwirlSymbolWechat {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-weibo',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolWeibo {
  protected el: HTMLSwirlSymbolWeiboElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolWeibo extends Components.SwirlSymbolWeibo {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-work',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolWork {
  protected el: HTMLSwirlSymbolWorkElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolWork extends Components.SwirlSymbolWork {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-xing',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolXing {
  protected el: HTMLSwirlSymbolXingElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolXing extends Components.SwirlSymbolXing {}


@ProxyCmp({
  inputs: ['size']
})
@Component({
  selector: 'swirl-symbol-youtube',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['size'],
  standalone: false
})
export class SwirlSymbolYoutube {
  protected el: HTMLSwirlSymbolYoutubeElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlSymbolYoutube extends Components.SwirlSymbolYoutube {}


@ProxyCmp({
  inputs: ['active', 'icon', 'label', 'padding', 'tabId']
})
@Component({
  selector: 'swirl-tab',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'icon', { name: 'label', required: true }, 'padding', { name: 'tabId', required: true }],
  standalone: false
})
export class SwirlTab {
  protected el: HTMLSwirlTabElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTab extends Components.SwirlTab {}


@ProxyCmp({
  inputs: ['disableTabSemantics', 'justify', 'label', 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'tabs', 'variant']
})
@Component({
  selector: 'swirl-tab-bar',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['disableTabSemantics', 'justify', { name: 'label', required: true }, 'paddingBlockEnd', 'paddingBlockStart', 'paddingInlineEnd', 'paddingInlineStart', 'tabs', 'variant'],
  standalone: false
})
export class SwirlTabBar {
  protected el: HTMLSwirlTabBarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['activateNextTab', 'activatePreviousTab', 'activateTab']);
  }
}


export declare interface SwirlTabBar extends Components.SwirlTabBar {

  activateNextTab: EventEmitter<CustomEvent<void>>;

  activatePreviousTab: EventEmitter<CustomEvent<void>>;

  activateTab: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['caption', 'dragDropHandle', 'dragDropInstructions', 'emptyStateLabel', 'enableDragDrop', 'label'],
  methods: ['rerender']
})
@Component({
  selector: 'swirl-table',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['caption', 'dragDropHandle', 'dragDropInstructions', 'emptyStateLabel', 'enableDragDrop', { name: 'label', required: true }],
  standalone: false
})
export class SwirlTable {
  protected el: HTMLSwirlTableElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['dropRow']);
  }
}


import type { SwirlTableDropRowEvent as ISwirlTableSwirlTableDropRowEvent } from '@getflip/swirl-components';

export declare interface SwirlTable extends Components.SwirlTable {

  dropRow: EventEmitter<CustomEvent<ISwirlTableSwirlTableDropRowEvent>>;
}


@ProxyCmp({
})
@Component({
  selector: 'swirl-table-cell',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlTableCell {
  protected el: HTMLSwirlTableCellElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTableCell extends Components.SwirlTableCell {}


@ProxyCmp({
  inputs: ['maxWidth', 'minWidth', 'sort', 'sortable', 'sticky', 'width']
})
@Component({
  selector: 'swirl-table-column',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['maxWidth', 'minWidth', 'sort', 'sortable', 'sticky', 'width'],
  standalone: false
})
export class SwirlTableColumn {
  protected el: HTMLSwirlTableColumnElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTableColumn extends Components.SwirlTableColumn {}


@ProxyCmp({
  inputs: ['highlighted', 'index']
})
@Component({
  selector: 'swirl-table-row',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['highlighted', 'index'],
  standalone: false
})
export class SwirlTableRow {
  protected el: HTMLSwirlTableRowElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTableRow extends Components.SwirlTableRow {}


@ProxyCmp({
  inputs: ['collapseButtonLabel', 'collapsible', 'label', 'tooltip']
})
@Component({
  selector: 'swirl-table-row-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['collapseButtonLabel', 'collapsible', { name: 'label', required: true }, 'tooltip'],
  standalone: false
})
export class SwirlTableRowGroup {
  protected el: HTMLSwirlTableRowGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTableRowGroup extends Components.SwirlTableRowGroup {}


@ProxyCmp({
  inputs: ['initialTab', 'justifyTabBar', 'label', 'tabBarPaddingBlockEnd', 'tabBarPaddingBlockStart', 'tabBarPaddingInlineEnd', 'tabBarPaddingInlineStart', 'tabBarVariant'],
  methods: ['activateTab']
})
@Component({
  selector: 'swirl-tabs',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['initialTab', 'justifyTabBar', { name: 'label', required: true }, 'tabBarPaddingBlockEnd', 'tabBarPaddingBlockStart', 'tabBarPaddingInlineEnd', 'tabBarPaddingInlineStart', 'tabBarVariant'],
  standalone: false
})
export class SwirlTabs {
  protected el: HTMLSwirlTabsElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['tabActivated']);
  }
}


export declare interface SwirlTabs extends Components.SwirlTabs {

  tabActivated: EventEmitter<CustomEvent<HTMLSwirlTabElement>>;
}


@ProxyCmp({
  inputs: ['bordered', 'icon', 'iconPosition', 'intent', 'label', 'removable', 'removalButtonLabel', 'size', 'variant']
})
@Component({
  selector: 'swirl-tag',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['bordered', 'icon', 'iconPosition', 'intent', { name: 'label', required: true }, 'removable', 'removalButtonLabel', 'size', 'variant'],
  standalone: false
})
export class SwirlTag {
  protected el: HTMLSwirlTagElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['remove']);
  }
}


export declare interface SwirlTag extends Components.SwirlTag {

  remove: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['align', 'as', 'balance', 'color', 'fontFamily', 'fontStyle', 'lines', 'responsive', 'size', 'truncate', 'truncateDirection', 'weight', 'whiteSpace']
})
@Component({
  selector: 'swirl-text',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['align', 'as', 'balance', 'color', 'fontFamily', 'fontStyle', 'lines', 'responsive', 'size', 'truncate', 'truncateDirection', 'weight', 'whiteSpace'],
  standalone: false
})
export class SwirlText {
  protected el: HTMLSwirlTextElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlText extends Components.SwirlText {}


@ProxyCmp({
  inputs: ['autoComplete', 'autoFocus', 'autoGrow', 'autoSelect', 'characterCounterLabel', 'clearButtonLabel', 'clearable', 'disableDynamicWidth', 'disabled', 'fontSize', 'inline', 'inputName', 'invalid', 'max', 'maxLength', 'min', 'mode', 'passwordToggleLabel', 'placeholder', 'prefixLabel', 'required', 'rows', 'showCharacterCounter', 'spellCheck', 'step', 'suffixLabel', 'swirlAriaAutocomplete', 'swirlAriaControls', 'swirlAriaDescribedby', 'swirlAriaExpanded', 'swirlRole', 'type', 'value'],
  methods: ['blurInput', 'focusInput']
})
@Component({
  selector: 'swirl-text-input',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoComplete', 'autoFocus', 'autoGrow', 'autoSelect', 'characterCounterLabel', 'clearButtonLabel', 'clearable', 'disableDynamicWidth', 'disabled', 'fontSize', 'inline', 'inputName', 'invalid', 'max', 'maxLength', 'min', 'mode', 'passwordToggleLabel', 'placeholder', 'prefixLabel', 'required', 'rows', 'showCharacterCounter', 'spellCheck', 'step', 'suffixLabel', 'swirlAriaAutocomplete', 'swirlAriaControls', 'swirlAriaDescribedby', 'swirlAriaExpanded', 'swirlRole', 'type', 'value'],
  standalone: false
})
export class SwirlTextInput {
  protected el: HTMLSwirlTextInputElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['inputBlur', 'inputFocus', 'valueChange']);
  }
}


export declare interface SwirlTextInput extends Components.SwirlTextInput {

  inputBlur: EventEmitter<CustomEvent<FocusEvent>>;

  inputFocus: EventEmitter<CustomEvent<FocusEvent>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['config'],
  methods: ['getActiveOSTheme', 'getPreferredOSTheme', 'setPreferredOSTheme', 'resetPreferredOSTheme']
})
@Component({
  selector: 'swirl-theme-provider',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['config'],
  standalone: false
})
export class SwirlThemeProvider {
  protected el: HTMLSwirlThemeProviderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['appThemeUpdated', 'themeChange']);
  }
}


import type { SwirlOSThemeChangeEventData as ISwirlThemeProviderSwirlOSThemeChangeEventData } from '@getflip/swirl-components';

export declare interface SwirlThemeProvider extends Components.SwirlThemeProvider {

  appThemeUpdated: EventEmitter<CustomEvent<void>>;

  themeChange: EventEmitter<CustomEvent<ISwirlThemeProviderSwirlOSThemeChangeEventData>>;
}


@ProxyCmp({
  inputs: ['alt', 'editButtonIcon', 'editButtonLabel', 'format', 'interactive', 'progress', 'progressLabel', 'removeButtonLabel', 'showEditButton', 'showRemoveButton', 'size', 'src', 'timestamp']
})
@Component({
  selector: 'swirl-thumbnail',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'alt', required: true }, 'editButtonIcon', 'editButtonLabel', 'format', 'interactive', 'progress', 'progressLabel', 'removeButtonLabel', 'showEditButton', 'showRemoveButton', 'size', { name: 'src', required: true }, 'timestamp'],
  standalone: false
})
export class SwirlThumbnail {
  protected el: HTMLSwirlThumbnailElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['edit', 'remove', 'thumbnailClick']);
  }
}


export declare interface SwirlThumbnail extends Components.SwirlThumbnail {

  edit: EventEmitter<CustomEvent<MouseEvent>>;

  remove: EventEmitter<CustomEvent<MouseEvent>>;

  thumbnailClick: EventEmitter<CustomEvent<MouseEvent>>;
}


@ProxyCmp({
  inputs: ['autoFocus', 'autoSelect', 'disabled', 'format', 'inline', 'invalid', 'placeholder', 'required', 'swirlAriaDescribedby', 'value']
})
@Component({
  selector: 'swirl-time-input',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['autoFocus', 'autoSelect', 'disabled', 'format', 'inline', 'invalid', 'placeholder', 'required', 'swirlAriaDescribedby', 'value'],
  standalone: false
})
export class SwirlTimeInput {
  protected el: HTMLSwirlTimeInputElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['inputBlur', 'inputFocus', 'valueChange']);
  }
}


export declare interface SwirlTimeInput extends Components.SwirlTimeInput {

  inputBlur: EventEmitter<CustomEvent<FocusEvent>>;

  inputFocus: EventEmitter<CustomEvent<FocusEvent>>;

  valueChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['accessibleDismissLabel', 'content', 'dismissLabel', 'duration', 'icon', 'intent', 'toastId']
})
@Component({
  selector: 'swirl-toast',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['accessibleDismissLabel', 'content', 'dismissLabel', 'duration', 'icon', 'intent', { name: 'toastId', required: true }],
  standalone: false
})
export class SwirlToast {
  protected el: HTMLSwirlToastElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['dismiss']);
  }
}


export declare interface SwirlToast extends Components.SwirlToast {

  dismiss: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['globalDuration'],
  methods: ['clearAll', 'dismiss', 'toast']
})
@Component({
  selector: 'swirl-toast-provider',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['globalDuration'],
  standalone: false
})
export class SwirlToastProvider {
  protected el: HTMLSwirlToastProviderElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlToastProvider extends Components.SwirlToastProvider {}


@ProxyCmp({
  inputs: ['icon', 'identifier', 'isPressed', 'label']
})
@Component({
  selector: 'swirl-toggle-button',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['icon', { name: 'identifier', required: true }, 'isPressed', { name: 'label', required: true }],
  standalone: false
})
export class SwirlToggleButton {
  protected el: HTMLSwirlToggleButtonElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlToggleButton extends Components.SwirlToggleButton {}


@ProxyCmp({
  inputs: ['elevated', 'selectedToggleId', 'swirlAriaLabel', 'variant']
})
@Component({
  selector: 'swirl-toggle-group',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['elevated', { name: 'selectedToggleId', required: true }, 'swirlAriaLabel', 'variant'],
  standalone: false
})
export class SwirlToggleGroup {
  protected el: HTMLSwirlToggleGroupElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['selectedToggleChange']);
  }
}


export declare interface SwirlToggleGroup extends Components.SwirlToggleGroup {

  selectedToggleChange: EventEmitter<CustomEvent<string>>;
}


@ProxyCmp({
  inputs: ['label', 'orientation']
})
@Component({
  selector: 'swirl-toolbar',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['label', 'orientation'],
  standalone: false
})
export class SwirlToolbar {
  protected el: HTMLSwirlToolbarElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlToolbar extends Components.SwirlToolbar {}


@ProxyCmp({
  inputs: ['active', 'content', 'delay', 'position', 'positioning']
})
@Component({
  selector: 'swirl-tooltip',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', { name: 'content', required: true }, 'delay', 'position', 'positioning'],
  standalone: false
})
export class SwirlTooltip {
  protected el: HTMLSwirlTooltipElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTooltip extends Components.SwirlTooltip {}


@ProxyCmp({
  inputs: ['label']
})
@Component({
  selector: 'swirl-tree-navigation',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [{ name: 'label', required: true }],
  standalone: false
})
export class SwirlTreeNavigation {
  protected el: HTMLSwirlTreeNavigationElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlTreeNavigation extends Components.SwirlTreeNavigation {}


@ProxyCmp({
  inputs: ['active', 'expandable', 'external', 'href', 'icon', 'label', 'level', 'navigationItemId', 'target'],
  methods: ['expand', 'collapse']
})
@Component({
  selector: 'swirl-tree-navigation-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'expandable', 'external', 'href', 'icon', { name: 'label', required: true }, 'level', { name: 'navigationItemId', required: true }, 'target'],
  standalone: false
})
export class SwirlTreeNavigationItem {
  protected el: HTMLSwirlTreeNavigationItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['expansionChange']);
  }
}


export declare interface SwirlTreeNavigationItem extends Components.SwirlTreeNavigationItem {

  expansionChange: EventEmitter<CustomEvent<boolean>>;
}


@ProxyCmp({
  inputs: ['canDrop', 'dragDropInstructions', 'dragDropItemSelector', 'enableDragDrop', 'initiallyExpandedItemIds', 'label', 'semantics'],
  methods: ['expandItems']
})
@Component({
  selector: 'swirl-tree-view',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['canDrop', 'dragDropInstructions', 'dragDropItemSelector', 'enableDragDrop', 'initiallyExpandedItemIds', { name: 'label', required: true }, 'semantics'],
  standalone: false
})
export class SwirlTreeView {
  protected el: HTMLSwirlTreeViewElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['dropItem', 'itemExpansionChanged']);
  }
}


import type { SwirlTreeViewDropItemEvent as ISwirlTreeViewSwirlTreeViewDropItemEvent } from '@getflip/swirl-components';

export declare interface SwirlTreeView extends Components.SwirlTreeView {

  dropItem: EventEmitter<CustomEvent<ISwirlTreeViewSwirlTreeViewDropItemEvent>>;

  itemExpansionChanged: EventEmitter<CustomEvent<{ itemId: string; expanded: boolean; }>>;
}


@ProxyCmp({
  inputs: ['active', 'disableDrag', 'expandable', 'href', 'icon', 'iconColor', 'itemId', 'label'],
  methods: ['expand', 'collapse', 'select', 'unselect']
})
@Component({
  selector: 'swirl-tree-view-item',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['active', 'disableDrag', 'expandable', 'href', 'icon', 'iconColor', { name: 'itemId', required: true }, { name: 'label', required: true }],
  standalone: false
})
export class SwirlTreeViewItem {
  protected el: HTMLSwirlTreeViewItemElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
    proxyOutputs(this, this.el, ['dropTreeViewItem', 'expandedChange', 'itemSelected', 'startKeyboardMove', 'endKeyboardMove', 'keyboardMove']);
  }
}


import type { SwirlTreeViewDropItemEvent as ISwirlTreeViewItemSwirlTreeViewDropItemEvent } from '@getflip/swirl-components';
import type { SwirlTreeViewItemKeyboardMoveEvent as ISwirlTreeViewItemSwirlTreeViewItemKeyboardMoveEvent } from '@getflip/swirl-components';

export declare interface SwirlTreeViewItem extends Components.SwirlTreeViewItem {

  dropTreeViewItem: EventEmitter<CustomEvent<ISwirlTreeViewItemSwirlTreeViewDropItemEvent>>;

  expandedChange: EventEmitter<CustomEvent<boolean>>;

  itemSelected: EventEmitter<CustomEvent<HTMLSwirlTreeViewItemElement>>;

  startKeyboardMove: EventEmitter<CustomEvent<ISwirlTreeViewItemSwirlTreeViewItemKeyboardMoveEvent>>;

  endKeyboardMove: EventEmitter<CustomEvent<ISwirlTreeViewItemSwirlTreeViewItemKeyboardMoveEvent>>;

  keyboardMove: EventEmitter<CustomEvent<ISwirlTreeViewItemSwirlTreeViewItemKeyboardMoveEvent>>;
}


@ProxyCmp({
  inputs: ['duration', 'durationLabel', 'label', 'src']
})
@Component({
  selector: 'swirl-video-thumbnail',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: ['duration', 'durationLabel', { name: 'label', required: true }, { name: 'src', required: true }],
  standalone: false
})
export class SwirlVideoThumbnail {
  protected el: HTMLSwirlVideoThumbnailElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlVideoThumbnail extends Components.SwirlVideoThumbnail {}


@ProxyCmp({
})
@Component({
  selector: 'swirl-visually-hidden',
  changeDetection: ChangeDetectionStrategy.OnPush,
  template: '<ng-content></ng-content>',
  // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
  inputs: [],
  standalone: false
})
export class SwirlVisuallyHidden {
  protected el: HTMLSwirlVisuallyHiddenElement;
  constructor(c: ChangeDetectorRef, r: ElementRef, protected z: NgZone) {
    c.detach();
    this.el = r.nativeElement;
  }
}


export declare interface SwirlVisuallyHidden extends Components.SwirlVisuallyHidden {}


